'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@vue-storefront/core');
var gql = require('graphql-tag');
var ApolloClient = require('apollo-client');
var fetch = require('isomorphic-fetch');
var apolloLink = require('apollo-link');
var apolloLinkHttp = require('apollo-link-http');
var apolloCacheInmemory = require('apollo-cache-inmemory');
var apolloLinkError = require('apollo-link-error');
var apolloLinkRetry = require('apollo-link-retry');
var apolloLinkContext = require('apollo-link-context');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var gql__default = /*#__PURE__*/_interopDefaultLegacy(gql);
var ApolloClient__default = /*#__PURE__*/_interopDefaultLegacy(ApolloClient);
var fetch__default = /*#__PURE__*/_interopDefaultLegacy(fetch);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __awaiter(thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
}

function __generator(thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var addBundleProductsToCart = gql__default["default"](templateObject_1$1d || (templateObject_1$1d = __makeTemplateObject(["\n  mutation addBundleProductsToCart($input: AddBundleProductsToCartInput) {\n    addBundleProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }\n"], ["\n  mutation addBundleProductsToCart($input: AddBundleProductsToCartInput) {\n    addBundleProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$1d;

var index$Z = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { addBundleProductsToCart: 'addBundleProductsToCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var addBundleProductsToCartGQL;
        return __generator(this, function (_a) {
            addBundleProductsToCartGQL = context.extendQuery(customQuery, {
                addBundleProductsToCart: {
                    query: addBundleProductsToCart,
                    variables: { input: input },
                },
            }).addBundleProductsToCart;
            return [2 /*return*/, context.client
                    .mutate({
                    mutation: addBundleProductsToCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var addConfigurableProductsToCart = gql__default["default"](templateObject_1$1c || (templateObject_1$1c = __makeTemplateObject(["\n  mutation addConfigurableProductsToCart($input: AddConfigurableProductsToCartInput) {\n    addConfigurableProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }\n"], ["\n  mutation addConfigurableProductsToCart($input: AddConfigurableProductsToCartInput) {\n    addConfigurableProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$1c;

var index$Y = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { addConfigurableProductsToCart: 'addConfigurableProductsToCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var addConfigurableProductsToCartGQL;
        return __generator(this, function (_a) {
            addConfigurableProductsToCartGQL = context.extendQuery(customQuery, {
                addConfigurableProductsToCart: {
                    query: addConfigurableProductsToCart,
                    variables: { input: input },
                },
            }).addConfigurableProductsToCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: addConfigurableProductsToCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var addProductsToCart = gql__default["default"](templateObject_1$1b || (templateObject_1$1b = __makeTemplateObject(["\n  mutation addProductsToCart($cartId: String!, $cartItems: [CartItemInput!]!) {\n    addProductsToCart(cartId,: $cartId, cartItems,: $cartItems) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation addProductsToCart($cartId: String!, $cartItems: [CartItemInput!]!) {\n    addProductsToCart(cartId,: $cartId, cartItems,: $cartItems) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$1b;

var index$X = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { addProductsToCart: 'addProductsToCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var addProductsToCartGQL;
        return __generator(this, function (_a) {
            addProductsToCartGQL = context.extendQuery(customQuery, {
                addProductsToCart: {
                    query: addProductsToCart,
                    variables: { input: input },
                },
            }).addProductsToCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: addProductsToCartGQL.query,
                    variables: input,
                })];
        });
    });
});

var addProductsToWishlist = gql__default["default"](templateObject_1$1a || (templateObject_1$1a = __makeTemplateObject(["\n  mutation addProductsToWishlist($id: ID!, $items: [WishlistItemInput!]!) {\n    addProductsToWishlist(wishlistId: $id, wishlistItems: $items) {\n      wishlist {\n        id\n        items_count\n        sharing_code\n        items_v2 {\n          items {\n            id\n            quantity\n            description\n            added_at\n            product {\n              ...on ConfigurableProduct {\n                configurable_options {\n                  attribute_code\n                  attribute_uid\n                  label\n                  position\n                  uid\n                  use_default\n                  values {\n                    label\n                    swatch_data {\n                      value\n                    }\n                    uid\n                  }\n                }\n              }\n              ... on BundleProduct {\n                items {\n                  sku\n                  title\n                  options {\n                    uid\n                    quantity\n                    product {\n                      uid\n                      sku\n                      name\n                      price_range {\n                        maximum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                        minimum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                      }\n                    }\n                  }\n                }\n              }\n              uid\n              __typename\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              rating_summary\n              categories {\n                uid\n                name\n                url_suffix\n                url_path\n                breadcrumbs {\n                  category_name,\n                  category_url_path\n                }\n              }\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n              url_key\n              url_rewrites {\n                url\n              }\n              review_count\n              reviews {\n                items {\n                  average_rating\n                  ratings_breakdown {\n                    name\n                    value\n                  }\n                }\n              }\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation addProductsToWishlist($id: ID!, $items: [WishlistItemInput!]!) {\n    addProductsToWishlist(wishlistId: $id, wishlistItems: $items) {\n      wishlist {\n        id\n        items_count\n        sharing_code\n        items_v2 {\n          items {\n            id\n            quantity\n            description\n            added_at\n            product {\n              ...on ConfigurableProduct {\n                configurable_options {\n                  attribute_code\n                  attribute_uid\n                  label\n                  position\n                  uid\n                  use_default\n                  values {\n                    label\n                    swatch_data {\n                      value\n                    }\n                    uid\n                  }\n                }\n              }\n              ... on BundleProduct {\n                items {\n                  sku\n                  title\n                  options {\n                    uid\n                    quantity\n                    product {\n                      uid\n                      sku\n                      name\n                      price_range {\n                        maximum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                        minimum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                      }\n                    }\n                  }\n                }\n              }\n              uid\n              __typename\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              rating_summary\n              categories {\n                uid\n                name\n                url_suffix\n                url_path\n                breadcrumbs {\n                  category_name,\n                  category_url_path\n                }\n              }\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n              url_key\n              url_rewrites {\n                url\n              }\n              review_count\n              reviews {\n                items {\n                  average_rating\n                  ratings_breakdown {\n                    name\n                    value\n                  }\n                }\n              }\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$1a;

var index$W = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { addProductsToWishlist: 'addProductsToWishlist' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var addProductsToWishlistGQL;
        return __generator(this, function (_a) {
            addProductsToWishlistGQL = context.extendQuery(customQuery, {
                addProductsToWishlist: {
                    query: addProductsToWishlist,
                    variables: { input: input },
                },
            }).addProductsToWishlist;
            return [2 /*return*/, context.client.mutate({
                    mutation: addProductsToWishlistGQL.query,
                    variables: input,
                })];
        });
    });
});

var addSimpleProductsToCart = gql__default["default"](templateObject_1$19 || (templateObject_1$19 = __makeTemplateObject(["\n  mutation addSimpleProductsToCart($input: AddSimpleProductsToCartInput) {\n    addSimpleProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation addSimpleProductsToCart($input: AddSimpleProductsToCartInput) {\n    addSimpleProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$19;

var index$V = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { addSimpleProductsToCart: 'addSimpleProductsToCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var addSimpleProductsToCartGQL;
        return __generator(this, function (_a) {
            addSimpleProductsToCartGQL = context.extendQuery(customQuery, {
                addSimpleProductsToCart: {
                    query: addSimpleProductsToCart,
                    variables: { input: input },
                },
            }).addSimpleProductsToCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: addSimpleProductsToCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var addDownloadableProductsToCart = gql__default["default"](templateObject_1$18 || (templateObject_1$18 = __makeTemplateObject(["\n  mutation addDownloadableProductsToCart($input: AddDownloadableProductsToCartInput) {\n    addDownloadableProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation addDownloadableProductsToCart($input: AddDownloadableProductsToCartInput) {\n    addDownloadableProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$18;

var index$U = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { addDownloadableProductsToCart: 'addDownloadableProductsToCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var addDownloadableProductsToCartGQL;
        return __generator(this, function (_a) {
            addDownloadableProductsToCartGQL = context.extendQuery(customQuery, {
                addDownloadableProductsToCart: {
                    query: addDownloadableProductsToCart,
                    variables: { input: input },
                },
            }).addDownloadableProductsToCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: addDownloadableProductsToCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var addVirtualProductsToCart = gql__default["default"](templateObject_1$17 || (templateObject_1$17 = __makeTemplateObject(["\n  mutation addVirtualProductsToCart($input: AddVirtualProductsToCartInput) {\n    addVirtualProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation addVirtualProductsToCart($input: AddVirtualProductsToCartInput) {\n    addVirtualProductsToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$17;

var index$T = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { addVirtualProductsToCart: 'addVirtualProductsToCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var addVirtualProductsToCartGQL;
        return __generator(this, function (_a) {
            addVirtualProductsToCartGQL = context.extendQuery(customQuery, {
                addVirtualProductsToCart: {
                    query: addVirtualProductsToCart,
                    variables: { input: input },
                },
            }).addVirtualProductsToCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: addVirtualProductsToCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var applyCouponToCart = gql__default["default"](templateObject_1$16 || (templateObject_1$16 = __makeTemplateObject(["\n  mutation applyCouponToCart($input: ApplyCouponToCartInput) {\n    applyCouponToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation applyCouponToCart($input: ApplyCouponToCartInput) {\n    applyCouponToCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$16;

// @TODO : Add Mutation FROM CodeGEN
var index$S = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { applyCouponToCart: 'applyCouponToCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var applyCouponToCartGQL;
        return __generator(this, function (_a) {
            applyCouponToCartGQL = context.extendQuery(customQuery, {
                applyCouponToCart: {
                    query: applyCouponToCart,
                    variables: { input: input },
                },
            }).applyCouponToCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: applyCouponToCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var availableStores = gql__default["default"](templateObject_1$15 || (templateObject_1$15 = __makeTemplateObject(["\n  query availableStores {\n      availableStores {\n          absolute_footer\n          allow_guests_to_write_product_reviews\n          allow_items\n          allow_order\n          autocomplete_on_storefront\n          base_currency_code\n          base_link_url\n          base_media_url\n          base_static_url\n          base_url\n          catalog_default_sort_by\n          category_fixed_product_tax_display_setting\n          category_url_suffix\n          cms_home_page\n          cms_no_cookies\n          cms_no_route\n          code\n          configurable_thumbnail_source\n          copyright\n          default_description\n          default_display_currency_code\n          default_keywords\n          default_title\n          front\n          grid_per_page\n          grid_per_page_values\n          head_includes\n          head_shortcut_icon\n          header_logo_src\n          id\n          is_default_store\n          is_default_store_group\n          list_mode\n          list_per_page\n          list_per_page_values\n          locale\n          logo_alt\n          logo_height\n          logo_width\n          magento_wishlist_general_is_enabled\n          minimum_password_length\n          no_route\n          payment_payflowpro_cc_vault_active\n          product_fixed_product_tax_display_setting\n          product_reviews_enabled\n          product_url_suffix\n          required_character_classes_number\n          root_category_id\n          root_category_uid\n          sales_fixed_product_tax_display_setting\n          secure_base_link_url\n          secure_base_media_url\n          secure_base_static_url\n          secure_base_url\n          show_cms_breadcrumbs\n          store_code\n          store_group_code\n          store_group_name\n          store_name\n          store_sort_order\n          timezone\n          title_prefix\n          title_separator\n          title_suffix\n          use_store_in_url\n          website_code\n          website_id\n          website_name\n          weight_unit\n          welcome\n      }\n  }\n"], ["\n  query availableStores {\n      availableStores {\n          absolute_footer\n          allow_guests_to_write_product_reviews\n          allow_items\n          allow_order\n          autocomplete_on_storefront\n          base_currency_code\n          base_link_url\n          base_media_url\n          base_static_url\n          base_url\n          catalog_default_sort_by\n          category_fixed_product_tax_display_setting\n          category_url_suffix\n          cms_home_page\n          cms_no_cookies\n          cms_no_route\n          code\n          configurable_thumbnail_source\n          copyright\n          default_description\n          default_display_currency_code\n          default_keywords\n          default_title\n          front\n          grid_per_page\n          grid_per_page_values\n          head_includes\n          head_shortcut_icon\n          header_logo_src\n          id\n          is_default_store\n          is_default_store_group\n          list_mode\n          list_per_page\n          list_per_page_values\n          locale\n          logo_alt\n          logo_height\n          logo_width\n          magento_wishlist_general_is_enabled\n          minimum_password_length\n          no_route\n          payment_payflowpro_cc_vault_active\n          product_fixed_product_tax_display_setting\n          product_reviews_enabled\n          product_url_suffix\n          required_character_classes_number\n          root_category_id\n          root_category_uid\n          sales_fixed_product_tax_display_setting\n          secure_base_link_url\n          secure_base_media_url\n          secure_base_static_url\n          secure_base_url\n          show_cms_breadcrumbs\n          store_code\n          store_group_code\n          store_group_name\n          store_name\n          store_sort_order\n          timezone\n          title_prefix\n          title_separator\n          title_suffix\n          use_store_in_url\n          website_code\n          website_id\n          website_name\n          weight_unit\n          welcome\n      }\n  }\n"])));
var templateObject_1$15;

var index$R = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { availableStores: 'availableStores' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var availableStoresGQL;
        return __generator(this, function (_a) {
            availableStoresGQL = context.extendQuery(customQuery, {
                availableStores: {
                    query: availableStores,
                },
            }).availableStores;
            return [2 /*return*/, context.client.query({
                    query: availableStoresGQL.query,
                })];
        });
    });
});

var cart = gql__default["default"](templateObject_1$14 || (templateObject_1$14 = __makeTemplateObject(["\n  query cart($cartId: String!) {\n    cart(cart_id:$cartId) {\n      id\n      email\n      is_virtual\n      applied_coupons {\n        code\n      }\n      prices {\n        subtotal_excluding_tax {\n          value\n        },\n        subtotal_including_tax {\n          value\n        },\n        applied_taxes {\n          amount {\n            value\n          },\n          label\n        }\n        discounts {\n          amount {\n            value\n          },\n          label\n        }\n        grand_total {\n          value\n        }\n      }\n      items {\n        uid\n        product {\n          uid\n          __typename\n          sku\n          name\n          stock_status\n          only_x_left_in_stock\n          rating_summary\n          thumbnail {\n            url\n            position\n            disabled\n            label\n          }\n          url_key\n          url_rewrites {\n            url\n          }\n          price_range {\n            maximum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n            minimum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n          }\n          categories {\n            uid\n            name\n            url_suffix\n            url_path\n            breadcrumbs {\n              category_name,\n              category_url_path\n            }\n          }\n          review_count\n          reviews {\n            items {\n              average_rating\n              ratings_breakdown {\n                name\n                value\n              }\n            }\n          }\n        }\n        prices {\n          row_total {\n            value\n          }\n          row_total_including_tax {\n            value\n          }\n          total_item_discount {\n            value\n          }\n        }\n        quantity\n        ... on ConfigurableCartItem {\n          configurable_options {\n            configurable_product_option_uid\n            option_label\n            configurable_product_option_value_uid\n            value_label\n          }\n        }\n        ... on BundleCartItem {\n          bundle_options {\n            uid\n            label\n            type\n            values {\n              id\n              label\n              price\n              quantity\n            }\n          }\n        }\n      }\n      total_quantity\n      shipping_addresses {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n        selected_shipping_method {\n          carrier_code\n          carrier_title\n          method_code\n          method_title\n          amount {\n            value\n            currency\n          }\n        }\n      }\n      billing_address {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }"], ["\n  query cart($cartId: String!) {\n    cart(cart_id:$cartId) {\n      id\n      email\n      is_virtual\n      applied_coupons {\n        code\n      }\n      prices {\n        subtotal_excluding_tax {\n          value\n        },\n        subtotal_including_tax {\n          value\n        },\n        applied_taxes {\n          amount {\n            value\n          },\n          label\n        }\n        discounts {\n          amount {\n            value\n          },\n          label\n        }\n        grand_total {\n          value\n        }\n      }\n      items {\n        uid\n        product {\n          uid\n          __typename\n          sku\n          name\n          stock_status\n          only_x_left_in_stock\n          rating_summary\n          thumbnail {\n            url\n            position\n            disabled\n            label\n          }\n          url_key\n          url_rewrites {\n            url\n          }\n          price_range {\n            maximum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n            minimum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n          }\n          categories {\n            uid\n            name\n            url_suffix\n            url_path\n            breadcrumbs {\n              category_name,\n              category_url_path\n            }\n          }\n          review_count\n          reviews {\n            items {\n              average_rating\n              ratings_breakdown {\n                name\n                value\n              }\n            }\n          }\n        }\n        prices {\n          row_total {\n            value\n          }\n          row_total_including_tax {\n            value\n          }\n          total_item_discount {\n            value\n          }\n        }\n        quantity\n        ... on ConfigurableCartItem {\n          configurable_options {\n            configurable_product_option_uid\n            option_label\n            configurable_product_option_value_uid\n            value_label\n          }\n        }\n        ... on BundleCartItem {\n          bundle_options {\n            uid\n            label\n            type\n            values {\n              id\n              label\n              price\n              quantity\n            }\n          }\n        }\n      }\n      total_quantity\n      shipping_addresses {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n        selected_shipping_method {\n          carrier_code\n          carrier_title\n          method_code\n          method_title\n          amount {\n            value\n            currency\n          }\n        }\n      }\n      billing_address {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }"])));
var templateObject_1$14;

var index$Q = (function (context, cartId, customQuery) {
    if (customQuery === void 0) { customQuery = { cart: 'cart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var cartGQL;
        return __generator(this, function (_a) {
            cartGQL = context.extendQuery(customQuery, {
                cart: {
                    query: cart,
                    variables: { cartId: cartId },
                },
            }).cart;
            return [2 /*return*/, context.client.query({
                    query: cartGQL,
                    variables: { cartId: cartId },
                })];
        });
    });
});

var categoryList = gql__default["default"](templateObject_1$13 || (templateObject_1$13 = __makeTemplateObject(["\n  query categoryList {\n    categories {\n      items {\n        children {\n          include_in_menu\n          is_anchor\n          level\n          name\n          position\n          product_count\n          uid\n          url_path\n          url_suffix\n          children {\n            include_in_menu\n            is_anchor\n            level\n            name\n            position\n            product_count\n            uid\n            url_path\n            url_suffix\n            children {\n              include_in_menu\n              is_anchor\n              level\n              name\n              position\n              product_count\n              uid\n              url_path\n              url_suffix\n            }\n          }\n        }\n        product_count\n        name\n        uid\n      }\n    }\n  }\n"], ["\n  query categoryList {\n    categories {\n      items {\n        children {\n          include_in_menu\n          is_anchor\n          level\n          name\n          position\n          product_count\n          uid\n          url_path\n          url_suffix\n          children {\n            include_in_menu\n            is_anchor\n            level\n            name\n            position\n            product_count\n            uid\n            url_path\n            url_suffix\n            children {\n              include_in_menu\n              is_anchor\n              level\n              name\n              position\n              product_count\n              uid\n              url_path\n              url_suffix\n            }\n          }\n        }\n        product_count\n        name\n        uid\n      }\n    }\n  }\n"])));
var templateObject_1$13;

var index$P = (function (context, params, customQuery) {
    if (customQuery === void 0) { customQuery = { categoryList: 'categoryList' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var categoryListGQL;
        return __generator(this, function (_a) {
            categoryListGQL = context.extendQuery(customQuery, {
                categoryList: {
                    query: categoryList,
                    variables: __assign({}, params),
                },
            }).categoryList;
            return [2 /*return*/, context.client.query({
                    query: categoryListGQL.query,
                    variables: __assign({}, params),
                })];
        });
    });
});

var categorySearch = gql__default["default"](templateObject_1$12 || (templateObject_1$12 = __makeTemplateObject(["\n  query categorySearch($filters: CategoryFilterInput) {\n    categoryList(filters: $filters) {\n      include_in_menu\n      is_anchor\n      level\n      name\n      position\n      product_count\n      uid\n      url_path\n      url_suffix\n    }\n  }\n"], ["\n  query categorySearch($filters: CategoryFilterInput) {\n    categoryList(filters: $filters) {\n      include_in_menu\n      is_anchor\n      level\n      name\n      position\n      product_count\n      uid\n      url_path\n      url_suffix\n    }\n  }\n"])));
var templateObject_1$12;

var index$O = (function (context, params, customQuery) {
    if (customQuery === void 0) { customQuery = { categorySearch: 'categorySearch' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var categorySearchGQL;
        return __generator(this, function (_a) {
            categorySearchGQL = context.extendQuery(customQuery, {
                categorySearch: {
                    query: categorySearch,
                    variables: __assign({}, params),
                },
            }).categorySearch;
            return [2 /*return*/, context.client.query({
                    query: categorySearchGQL,
                    variables: __assign({}, params),
                })];
        });
    });
});

var changeCustomerPassword = gql__default["default"](templateObject_1$11 || (templateObject_1$11 = __makeTemplateObject(["\n  mutation changeCustomerPassword($currentPassword: String!, $newPassword: String!) {\n    changeCustomerPassword(\n      currentPassword: $currentPassword\n      newPassword: $newPassword\n    ) {\n      date_of_birth\n      default_billing\n      default_shipping\n      email\n      firstname\n      is_subscribed\n      lastname\n      middlename\n      prefix\n      suffix\n      taxvat\n      addresses {\n        city\n        country_code\n        default_billing\n        default_shipping\n        extension_attributes {\n          attribute_code\n          value\n        }\n        firstname\n        id\n        lastname\n        postcode\n        prefix\n        region {\n          region_code\n          region_id\n          region\n        }\n        street\n        suffix\n        telephone\n        vat_id\n      }\n    }\n  }\n"], ["\n  mutation changeCustomerPassword($currentPassword: String!, $newPassword: String!) {\n    changeCustomerPassword(\n      currentPassword: $currentPassword\n      newPassword: $newPassword\n    ) {\n      date_of_birth\n      default_billing\n      default_shipping\n      email\n      firstname\n      is_subscribed\n      lastname\n      middlename\n      prefix\n      suffix\n      taxvat\n      addresses {\n        city\n        country_code\n        default_billing\n        default_shipping\n        extension_attributes {\n          attribute_code\n          value\n        }\n        firstname\n        id\n        lastname\n        postcode\n        prefix\n        region {\n          region_code\n          region_id\n          region\n        }\n        street\n        suffix\n        telephone\n        vat_id\n      }\n    }\n  }\n"])));
var templateObject_1$11;

var index$N = (function (context, currentPassword, newPassword, customQuery) {
    if (customQuery === void 0) { customQuery = { changeCustomerPassword: 'changeCustomerPassword' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var changeCustomerPasswordGQL, error_1;
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    _b.trys.push([0, 2, , 3]);
                    changeCustomerPasswordGQL = context.extendQuery(customQuery, {
                        changeCustomerPassword: {
                            query: changeCustomerPassword,
                            variables: {
                                currentPassword: currentPassword,
                                newPassword: newPassword,
                            },
                        },
                    }).changeCustomerPassword;
                    return [4 /*yield*/, context.client
                            .mutate({
                            mutation: changeCustomerPasswordGQL.query,
                            variables: {
                                currentPassword: currentPassword,
                                newPassword: newPassword,
                            },
                        })];
                case 1: return [2 /*return*/, _b.sent()];
                case 2:
                    error_1 = _b.sent();
                    // For error in data we don't throw 500, because it's not server error
                    if (error_1.graphQLErrors) {
                        return [2 /*return*/, {
                                errors: error_1.graphQLErrors,
                                data: null,
                            }];
                    }
                    throw ((_a = error_1.networkError) === null || _a === void 0 ? void 0 : _a.result) || error_1;
                case 3: return [2 /*return*/];
            }
        });
    });
});

var cmsBlocks = gql__default["default"](templateObject_1$10 || (templateObject_1$10 = __makeTemplateObject(["\n    query cmsBlock($identifiers: [String]) {\n        cmsBlocks(identifiers: $identifiers) {\n            items {\n                content\n                identifier\n                title\n            }\n        }\n    }"], ["\n    query cmsBlock($identifiers: [String]) {\n        cmsBlocks(identifiers: $identifiers) {\n            items {\n                content\n                identifier\n                title\n            }\n        }\n    }"])));
var templateObject_1$10;

var index$M = (function (context, identifiers, customQuery) {
    if (customQuery === void 0) { customQuery = { cmsBlocks: 'cmsBlocks' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var cmsBlocksGQL;
        return __generator(this, function (_a) {
            cmsBlocksGQL = context.extendQuery(customQuery, {
                cmsBlocks: {
                    query: cmsBlocks,
                    variables: { identifiers: identifiers },
                },
            }).cmsBlocks;
            return [2 /*return*/, context.client.query({
                    query: cmsBlocksGQL,
                    variables: { identifiers: identifiers },
                })];
        });
    });
});

var cmsPage = gql__default["default"](templateObject_1$$ || (templateObject_1$$ = __makeTemplateObject(["\nquery cmsPage($identifier: String) {\n  cmsPage(identifier:$identifier) {\n    identifier\n    content\n    title,\n    meta_title\n    meta_description\n    content_heading\n  }\n}"], ["\nquery cmsPage($identifier: String) {\n  cmsPage(identifier:$identifier) {\n    identifier\n    content\n    title,\n    meta_title\n    meta_description\n    content_heading\n  }\n}"])));
var templateObject_1$$;

var index$L = (function (context, identifier, customQuery) {
    if (customQuery === void 0) { customQuery = { cmsPage: 'cmsPage' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var cmsPageGQL, error_1;
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    _b.trys.push([0, 2, , 3]);
                    cmsPageGQL = context.extendQuery(customQuery, {
                        cmsPage: {
                            query: cmsPage,
                            variables: { identifier: identifier },
                        },
                    }).cmsPage;
                    return [4 /*yield*/, context.client
                            .query({
                            query: cmsPageGQL.query,
                            variables: { identifier: identifier },
                        })];
                case 1: return [2 /*return*/, _b.sent()];
                case 2:
                    error_1 = _b.sent();
                    // For error in data we don't throw 500, because it's not server error
                    if (error_1.graphQLErrors) {
                        core.Logger.debug(error_1);
                        return [2 /*return*/, __assign(__assign({}, error_1), { errors: error_1.graphQLErrors, data: null })];
                    }
                    core.Logger.error(error_1);
                    throw ((_a = error_1.networkError) === null || _a === void 0 ? void 0 : _a.result) || error_1;
                case 3: return [2 /*return*/];
            }
        });
    });
});

var countriesList = gql__default["default"](templateObject_1$_ || (templateObject_1$_ = __makeTemplateObject(["\nquery countriesList {\n  countries {\n    id\n    two_letter_abbreviation\n    full_name_locale\n    full_name_english\n  }\n}"], ["\nquery countriesList {\n  countries {\n    id\n    two_letter_abbreviation\n    full_name_locale\n    full_name_english\n  }\n}"])));
var templateObject_1$_;

var index$K = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { countries: 'countries' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var countriesGQL;
        return __generator(this, function (_a) {
            countriesGQL = context.extendQuery(customQuery, {
                countries: {
                    query: countriesList,
                },
            }).countries;
            return [2 /*return*/, context.client.query({
                    query: countriesGQL.query,
                })];
        });
    });
});

var countryInformation = gql__default["default"](templateObject_1$Z || (templateObject_1$Z = __makeTemplateObject(["\nquery countryInformation($id: String) {\n  country(id: $id) {\n    id\n    two_letter_abbreviation\n    full_name_locale\n    full_name_english\n    available_regions {\n      id\n      code\n      name\n    }\n  }\n}"], ["\nquery countryInformation($id: String) {\n  country(id: $id) {\n    id\n    two_letter_abbreviation\n    full_name_locale\n    full_name_english\n    available_regions {\n      id\n      code\n      name\n    }\n  }\n}"])));
var templateObject_1$Z;

var index$J = (function (context, id, customQuery) {
    if (customQuery === void 0) { customQuery = { country: 'country' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var countryGQL;
        return __generator(this, function (_a) {
            countryGQL = context.extendQuery(customQuery, {
                country: {
                    query: countryInformation,
                    variables: { id: id },
                },
            }).country;
            return [2 /*return*/, context.client.query({
                    query: countryGQL.query,
                    variables: {
                        id: id,
                    },
                })];
        });
    });
});

var createCustomer = gql__default["default"](templateObject_1$Y || (templateObject_1$Y = __makeTemplateObject(["\n  mutation createCustomer($input: CustomerCreateInput!) {\n    createCustomerV2(input: $input) {\n      customer {\n        date_of_birth\n        default_billing\n        default_shipping\n        email\n        firstname\n        is_subscribed\n        lastname\n        middlename\n        prefix\n        suffix\n        taxvat\n        addresses {\n          city\n          country_code\n          default_billing\n          default_shipping\n          extension_attributes {\n            attribute_code\n            value\n          }\n          firstname\n          id\n          lastname\n          postcode\n          prefix\n          region {\n            region_code\n            region_id\n            region\n          }\n          street\n          suffix\n          telephone\n          vat_id\n        }\n      }\n    }\n  }\n"], ["\n  mutation createCustomer($input: CustomerCreateInput!) {\n    createCustomerV2(input: $input) {\n      customer {\n        date_of_birth\n        default_billing\n        default_shipping\n        email\n        firstname\n        is_subscribed\n        lastname\n        middlename\n        prefix\n        suffix\n        taxvat\n        addresses {\n          city\n          country_code\n          default_billing\n          default_shipping\n          extension_attributes {\n            attribute_code\n            value\n          }\n          firstname\n          id\n          lastname\n          postcode\n          prefix\n          region {\n            region_code\n            region_id\n            region\n          }\n          street\n          suffix\n          telephone\n          vat_id\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$Y;

var index$I = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { createCustomer: 'createCustomer' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var createCustomerGQL, error_1;
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    _b.trys.push([0, 2, , 3]);
                    createCustomerGQL = context.extendQuery(customQuery, {
                        createCustomer: {
                            query: createCustomer,
                            variables: { input: input },
                        },
                    }).createCustomer;
                    return [4 /*yield*/, context
                            .client
                            .mutate({
                            mutation: createCustomerGQL.query,
                            variables: { input: input },
                        })];
                case 1: return [2 /*return*/, _b.sent()];
                case 2:
                    error_1 = _b.sent();
                    // For error in data we don't throw 500, because it's not server error
                    if (error_1.graphQLErrors) {
                        return [2 /*return*/, {
                                errors: error_1.graphQLErrors,
                                data: null,
                            }];
                    }
                    throw ((_a = error_1.networkError) === null || _a === void 0 ? void 0 : _a.result) || error_1;
                case 3: return [2 /*return*/];
            }
        });
    });
});

var createCustomerAddress = gql__default["default"](templateObject_1$X || (templateObject_1$X = __makeTemplateObject(["\n  mutation createCustomerAddress($input: CustomerAddressInput!) {\n    createCustomerAddress(input: $input) {\n      id\n      region {\n        region\n        region_id\n        region_code\n      }\n      country_code\n      street\n      telephone\n      postcode\n      city\n      default_shipping\n      default_billing\n      vat_id\n    }\n  }\n"], ["\n  mutation createCustomerAddress($input: CustomerAddressInput!) {\n    createCustomerAddress(input: $input) {\n      id\n      region {\n        region\n        region_id\n        region_code\n      }\n      country_code\n      street\n      telephone\n      postcode\n      city\n      default_shipping\n      default_billing\n      vat_id\n    }\n  }\n"])));
var templateObject_1$X;

var index$H = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { createCustomerAddress: 'createCustomerAddress' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var createCustomerAddressGQL;
        return __generator(this, function (_a) {
            createCustomerAddressGQL = context.extendQuery(customQuery, {
                createCustomerAddress: {
                    query: createCustomerAddress,
                    variables: { input: input },
                },
            }).createCustomerAddress;
            return [2 /*return*/, context.client.mutate({
                    mutation: createCustomerAddressGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var createEmptyCart = gql__default["default"](templateObject_1$W || (templateObject_1$W = __makeTemplateObject(["\n  mutation createEmptyCart {\n  createEmptyCart\n}"], ["\n  mutation createEmptyCart {\n  createEmptyCart\n}"])));
var templateObject_1$W;

var index$G = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { createEmptyCart: 'createEmptyCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var createEmptyCartGQL;
        return __generator(this, function (_a) {
            createEmptyCartGQL = context.extendQuery(customQuery, {
                createEmptyCart: {
                    query: createEmptyCart,
                },
            }).createEmptyCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: createEmptyCartGQL.query,
                })];
        });
    });
});

var createProductReview = gql__default["default"](templateObject_1$V || (templateObject_1$V = __makeTemplateObject(["\nmutation createProductReview($input: CreateProductReviewInput!) {\n  createProductReview(input: $input){\n    review {\n      average_rating\n      ratings_breakdown {\n        name\n        value\n      }\n      nickname\n      summary\n      text\n      created_at\n    }\n  }\n}"], ["\nmutation createProductReview($input: CreateProductReviewInput!) {\n  createProductReview(input: $input){\n    review {\n      average_rating\n      ratings_breakdown {\n        name\n        value\n      }\n      nickname\n      summary\n      text\n      created_at\n    }\n  }\n}"])));
var templateObject_1$V;

var index$F = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { createProductReview: 'createProductReview' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var createProductReviewGQL;
        return __generator(this, function (_a) {
            createProductReviewGQL = context.extendQuery(customQuery, {
                createProductReview: {
                    query: createProductReview,
                    variables: { input: input },
                },
            }).createProductReview;
            return [2 /*return*/, context.client.mutate({
                    mutation: createProductReviewGQL.query,
                    variables: {
                        input: input,
                    },
                })];
        });
    });
});

var currency = gql__default["default"](templateObject_1$U || (templateObject_1$U = __makeTemplateObject(["\n  query currency {\n    currency{\n      available_currency_codes\n      base_currency_code\n      base_currency_symbol\n      default_display_currecy_code\n      default_display_currecy_symbol\n      default_display_currency_code\n      default_display_currency_symbol\n      exchange_rates {\n        currency_to\n        rate\n      }\n    }\n  }"], ["\n  query currency {\n    currency{\n      available_currency_codes\n      base_currency_code\n      base_currency_symbol\n      default_display_currecy_code\n      default_display_currecy_symbol\n      default_display_currency_code\n      default_display_currency_symbol\n      exchange_rates {\n        currency_to\n        rate\n      }\n    }\n  }"])));
var templateObject_1$U;

var index$E = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { currency: 'currency' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var currencyGQL;
        return __generator(this, function (_a) {
            currencyGQL = context.extendQuery(customQuery, {
                currency: {
                    query: currency,
                },
            }).currency;
            return [2 /*return*/, context.client.query({
                    query: currencyGQL.query,
                })];
        });
    });
});

var customer = gql__default["default"](templateObject_1$T || (templateObject_1$T = __makeTemplateObject(["\n  query customer {\n    customer {\n      date_of_birth\n      default_billing\n      default_shipping\n      email\n      firstname\n      is_subscribed\n      lastname\n      middlename\n      prefix\n      suffix\n      taxvat\n      addresses {\n        city\n        country_code\n        default_billing\n        default_shipping\n        extension_attributes {\n          attribute_code\n          value\n        }\n        firstname\n        id\n        lastname\n        postcode\n        prefix\n        region {\n          region_code\n          region_id\n          region\n        }\n        street\n        suffix\n        telephone\n        vat_id\n      }\n      is_subscribed\n    }\n  }\n"], ["\n  query customer {\n    customer {\n      date_of_birth\n      default_billing\n      default_shipping\n      email\n      firstname\n      is_subscribed\n      lastname\n      middlename\n      prefix\n      suffix\n      taxvat\n      addresses {\n        city\n        country_code\n        default_billing\n        default_shipping\n        extension_attributes {\n          attribute_code\n          value\n        }\n        firstname\n        id\n        lastname\n        postcode\n        prefix\n        region {\n          region_code\n          region_id\n          region\n        }\n        street\n        suffix\n        telephone\n        vat_id\n      }\n      is_subscribed\n    }\n  }\n"])));
var templateObject_1$T;

var index$D = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { customer: 'customer' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var customerGQL;
        return __generator(this, function (_a) {
            customerGQL = context.extendQuery(customQuery, {
                customer: {
                    query: customer,
                },
            }).customer;
            return [2 /*return*/, context.client.query({
                    query: customerGQL.query,
                })];
        });
    });
});

var customerCart = gql__default["default"](templateObject_1$S || (templateObject_1$S = __makeTemplateObject(["\n  query customerCart {\n    customerCart {\n      id\n      email\n      is_virtual\n      applied_coupons {\n        code\n      }\n      prices {\n        subtotal_excluding_tax {\n          value\n        },\n        subtotal_including_tax {\n          value\n        },\n        applied_taxes {\n          amount {\n            value\n          },\n          label\n        }\n        discounts {\n          amount {\n            value\n          },\n          label\n        }\n        grand_total {\n          value\n        }\n      }\n      items {\n        uid\n        product {\n          uid\n          __typename\n          sku\n          name\n          stock_status\n          only_x_left_in_stock\n          rating_summary\n          thumbnail {\n            url\n            position\n            disabled\n            label\n          }\n          url_key\n          url_rewrites {\n            url\n          }\n          price_range {\n            maximum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n            minimum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n          }\n          categories {\n            uid\n            name\n            url_suffix\n            url_path\n            breadcrumbs {\n              category_name,\n              category_url_path\n            }\n          }\n          review_count\n          reviews {\n            items {\n              average_rating\n              ratings_breakdown {\n                name\n                value\n              }\n            }\n          }\n        }\n        prices {\n          row_total {\n            value\n          }\n          row_total_including_tax {\n            value\n          }\n          total_item_discount {\n            value\n          }\n        }\n        quantity\n        ... on ConfigurableCartItem {\n          configurable_options {\n            configurable_product_option_uid\n            option_label\n            configurable_product_option_value_uid\n            value_label\n          }\n        }\n        ... on BundleCartItem {\n          bundle_options {\n            uid\n            label\n            type\n            values {\n              id\n              label\n              price\n              quantity\n            }\n          }\n        }\n      }\n      total_quantity\n      shipping_addresses {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n        selected_shipping_method {\n          carrier_code\n          carrier_title\n          method_code\n          method_title\n          amount {\n            value\n            currency\n          }\n        }\n      }\n      billing_address {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }"], ["\n  query customerCart {\n    customerCart {\n      id\n      email\n      is_virtual\n      applied_coupons {\n        code\n      }\n      prices {\n        subtotal_excluding_tax {\n          value\n        },\n        subtotal_including_tax {\n          value\n        },\n        applied_taxes {\n          amount {\n            value\n          },\n          label\n        }\n        discounts {\n          amount {\n            value\n          },\n          label\n        }\n        grand_total {\n          value\n        }\n      }\n      items {\n        uid\n        product {\n          uid\n          __typename\n          sku\n          name\n          stock_status\n          only_x_left_in_stock\n          rating_summary\n          thumbnail {\n            url\n            position\n            disabled\n            label\n          }\n          url_key\n          url_rewrites {\n            url\n          }\n          price_range {\n            maximum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n            minimum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n          }\n          categories {\n            uid\n            name\n            url_suffix\n            url_path\n            breadcrumbs {\n              category_name,\n              category_url_path\n            }\n          }\n          review_count\n          reviews {\n            items {\n              average_rating\n              ratings_breakdown {\n                name\n                value\n              }\n            }\n          }\n        }\n        prices {\n          row_total {\n            value\n          }\n          row_total_including_tax {\n            value\n          }\n          total_item_discount {\n            value\n          }\n        }\n        quantity\n        ... on ConfigurableCartItem {\n          configurable_options {\n            configurable_product_option_uid\n            option_label\n            configurable_product_option_value_uid\n            value_label\n          }\n        }\n        ... on BundleCartItem {\n          bundle_options {\n            uid\n            label\n            type\n            values {\n              id\n              label\n              price\n              quantity\n            }\n          }\n        }\n      }\n      total_quantity\n      shipping_addresses {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n        selected_shipping_method {\n          carrier_code\n          carrier_title\n          method_code\n          method_title\n          amount {\n            value\n            currency\n          }\n        }\n      }\n      billing_address {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }"])));
var templateObject_1$S;

var index$C = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { customerCart: 'customerCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var customerCartGQL;
        return __generator(this, function (_a) {
            customerCartGQL = context.extendQuery(customQuery, {
                customerCart: {
                    query: customerCart,
                },
            }).customerCart;
            return [2 /*return*/, context.client.query({
                    query: customerCartGQL.query,
                })];
        });
    });
});

var customerOrdersQuery = gql__default["default"](templateObject_1$R || (templateObject_1$R = __makeTemplateObject(["\n  query customerOrders($currentPage: Int = 1, $filter: CustomerOrdersFilterInput = {}, $pageSize: Int = 10) {\n    customer {\n      orders(currentPage: $currentPage, filter: $filter, pageSize: $pageSize) {\n        items {\n          order_number\n          id\n          created_at\n          grand_total\n          total {\n            discounts {\n              amount {\n                currency\n                value\n              }\n              label\n            }\n            base_grand_total {\n              currency\n              value\n            }\n            shipping_handling {\n              amount_excluding_tax {\n                currency\n                value\n              }\n              amount_including_tax {\n                currency\n                value\n              }\n              discounts {\n                amount {\n                  currency\n                  value\n                }\n              }\n              taxes {\n                amount{\n                  currency\n                  value\n                }\n                rate\n                title\n              }\n              total_amount {\n                currency\n                value\n              }\n            }\n            subtotal {\n              currency\n              value\n            }\n            taxes {\n              amount {\n                currency\n                value\n              }\n              rate\n              title\n            }\n            total_shipping {\n              currency\n              value\n            }\n            total_tax {\n              currency\n              value\n            }\n          }\n          status\n          comments {\n            message\n            timestamp\n          }\n          invoices {\n            comments {\n              message\n              timestamp\n            }\n            id\n            items {\n              discounts {\n                amount {\n                  currency\n                  value\n                }\n                label\n              }\n              id\n              product_name\n              product_sale_price {\n                currency\n                value\n              }\n              product_sku\n              quantity_invoiced\n            }\n            number\n            total {\n              discounts {\n                amount {\n                  currency\n                  value\n                }\n                label\n              }\n              base_grand_total {\n                currency\n                value\n              }\n              shipping_handling {\n                amount_excluding_tax {\n                  currency\n                  value\n                }\n                amount_including_tax {\n                  currency\n                  value\n                }\n                discounts {\n                  amount {\n                    currency\n                    value\n                  }\n                }\n                taxes {\n                  amount{\n                    currency\n                    value\n                  }\n                  rate\n                  title\n                }\n                total_amount {\n                  currency\n                  value\n                }\n              }\n              subtotal {\n                currency\n                value\n              }\n              taxes {\n                amount {\n                  currency\n                  value\n                }\n                rate\n                title\n              }\n              total_shipping {\n                currency\n                value\n              }\n              total_tax {\n                currency\n                value\n              }\n            }\n          }\n          items {\n            discounts {\n              amount {\n                currency\n                value\n              }\n              label\n            }\n            entered_options {\n              label\n              value\n            }\n            id\n            product_name\n            product_sale_price {\n              currency\n              value\n            }\n            product_sku\n            product_type\n            product_url_key\n            quantity_canceled\n            quantity_invoiced\n            quantity_ordered\n            quantity_refunded\n            quantity_returned\n            quantity_shipped\n            selected_options {\n              label\n              value\n            }\n            status\n          }\n          payment_methods {\n            name\n            type\n            additional_data {\n              name\n              value\n            }\n          }\n          shipments {\n            comments {\n              message\n              timestamp\n            }\n            id\n            number\n            tracking {\n              carrier\n              number\n              title\n            }\n            items {\n              id\n              product_name\n              product_sale_price {\n                currency\n                value\n              }\n              product_sku\n              quantity_shipped\n            }\n          }\n          shipping_address {\n            city\n            country_code\n            firstname\n            lastname\n            postcode\n            prefix\n            region\n            street\n            suffix\n            telephone\n          }\n          shipping_method\n        }\n        page_info {\n            current_page\n            total_pages\n            page_size\n        }\n        total_count\n      }\n    }\n  }\n"], ["\n  query customerOrders($currentPage: Int = 1, $filter: CustomerOrdersFilterInput = {}, $pageSize: Int = 10) {\n    customer {\n      orders(currentPage: $currentPage, filter: $filter, pageSize: $pageSize) {\n        items {\n          order_number\n          id\n          created_at\n          grand_total\n          total {\n            discounts {\n              amount {\n                currency\n                value\n              }\n              label\n            }\n            base_grand_total {\n              currency\n              value\n            }\n            shipping_handling {\n              amount_excluding_tax {\n                currency\n                value\n              }\n              amount_including_tax {\n                currency\n                value\n              }\n              discounts {\n                amount {\n                  currency\n                  value\n                }\n              }\n              taxes {\n                amount{\n                  currency\n                  value\n                }\n                rate\n                title\n              }\n              total_amount {\n                currency\n                value\n              }\n            }\n            subtotal {\n              currency\n              value\n            }\n            taxes {\n              amount {\n                currency\n                value\n              }\n              rate\n              title\n            }\n            total_shipping {\n              currency\n              value\n            }\n            total_tax {\n              currency\n              value\n            }\n          }\n          status\n          comments {\n            message\n            timestamp\n          }\n          invoices {\n            comments {\n              message\n              timestamp\n            }\n            id\n            items {\n              discounts {\n                amount {\n                  currency\n                  value\n                }\n                label\n              }\n              id\n              product_name\n              product_sale_price {\n                currency\n                value\n              }\n              product_sku\n              quantity_invoiced\n            }\n            number\n            total {\n              discounts {\n                amount {\n                  currency\n                  value\n                }\n                label\n              }\n              base_grand_total {\n                currency\n                value\n              }\n              shipping_handling {\n                amount_excluding_tax {\n                  currency\n                  value\n                }\n                amount_including_tax {\n                  currency\n                  value\n                }\n                discounts {\n                  amount {\n                    currency\n                    value\n                  }\n                }\n                taxes {\n                  amount{\n                    currency\n                    value\n                  }\n                  rate\n                  title\n                }\n                total_amount {\n                  currency\n                  value\n                }\n              }\n              subtotal {\n                currency\n                value\n              }\n              taxes {\n                amount {\n                  currency\n                  value\n                }\n                rate\n                title\n              }\n              total_shipping {\n                currency\n                value\n              }\n              total_tax {\n                currency\n                value\n              }\n            }\n          }\n          items {\n            discounts {\n              amount {\n                currency\n                value\n              }\n              label\n            }\n            entered_options {\n              label\n              value\n            }\n            id\n            product_name\n            product_sale_price {\n              currency\n              value\n            }\n            product_sku\n            product_type\n            product_url_key\n            quantity_canceled\n            quantity_invoiced\n            quantity_ordered\n            quantity_refunded\n            quantity_returned\n            quantity_shipped\n            selected_options {\n              label\n              value\n            }\n            status\n          }\n          payment_methods {\n            name\n            type\n            additional_data {\n              name\n              value\n            }\n          }\n          shipments {\n            comments {\n              message\n              timestamp\n            }\n            id\n            number\n            tracking {\n              carrier\n              number\n              title\n            }\n            items {\n              id\n              product_name\n              product_sale_price {\n                currency\n                value\n              }\n              product_sku\n              quantity_shipped\n            }\n          }\n          shipping_address {\n            city\n            country_code\n            firstname\n            lastname\n            postcode\n            prefix\n            region\n            street\n            suffix\n            telephone\n          }\n          shipping_method\n        }\n        page_info {\n            current_page\n            total_pages\n            page_size\n        }\n        total_count\n      }\n    }\n  }\n"])));
var templateObject_1$R;

var index$B = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { customerOrders: 'customerOrders' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, customerOrders, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = {
                        pageSize: defaultParams.pageSize <= 0 ? 10 : defaultParams.pageSize,
                        currentPage: defaultParams.currentPage <= 0 ? 1 : defaultParams.currentPage,
                    };
                    if (defaultParams.filter)
                        variables.filter = defaultParams.filter;
                    customerOrders = context.extendQuery(customQuery, {
                        customerOrders: {
                            query: customerOrdersQuery,
                            variables: variables,
                        },
                    }).customerOrders;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client
                            .query({
                            query: gql__default["default"](templateObject_1$Q || (templateObject_1$Q = __makeTemplateObject(["", ""], ["", ""])), customerOrders.query),
                            variables: customerOrders.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$Q;

var customerProductReview = gql__default["default"](templateObject_1$P || (templateObject_1$P = __makeTemplateObject(["\n  query customerProductReview($pageSize: Int = 10, $currentPage: Int = 1) {\n    customer {\n        reviews(pageSize: $pageSize, currentPage: $currentPage) {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n            nickname\n            summary\n            text\n            created_at\n            product {\n              name\n              uid\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n    }\n  }\n"], ["\n  query customerProductReview($pageSize: Int = 10, $currentPage: Int = 1) {\n    customer {\n        reviews(pageSize: $pageSize, currentPage: $currentPage) {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n            nickname\n            summary\n            text\n            created_at\n            product {\n              name\n              uid\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n    }\n  }\n"])));
var templateObject_1$P;

var index$A = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { reviews: 'reviews' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, reviews, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = {
                        pageSize: defaultParams.pageSize,
                        currentPage: defaultParams.currentPage,
                    };
                    reviews = context.extendQuery(customQuery, {
                        reviews: {
                            query: customerProductReview,
                            variables: variables,
                        },
                    }).reviews;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$O || (templateObject_1$O = __makeTemplateObject(["", ""], ["", ""])), reviews.query),
                            variables: reviews.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$O;

var index$z = (function (_a, _b) {
    var client = _a.client;
    var mutation = _b.mutation, mutationVariables = _b.mutationVariables, fetchPolicy = _b.fetchPolicy;
    return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_c) {
            return [2 /*return*/, client
                    .mutate({
                    mutation: gql__default["default"](templateObject_1$N || (templateObject_1$N = __makeTemplateObject(["", ""], ["", ""])), mutation),
                    variables: __assign({}, mutationVariables),
                    fetchPolicy: fetchPolicy || 'no-cache',
                })];
        });
    });
});
var templateObject_1$N;

var index$y = (function (_a, _b) {
    var client = _a.client;
    var query = _b.query, queryVariables = _b.queryVariables, fetchPolicy = _b.fetchPolicy;
    return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_c) {
            return [2 /*return*/, client
                    .query({
                    query: gql__default["default"](templateObject_1$M || (templateObject_1$M = __makeTemplateObject(["", ""], ["", ""])), query),
                    variables: __assign({}, queryVariables),
                    fetchPolicy: fetchPolicy || 'no-cache',
                })];
        });
    });
});
var templateObject_1$M;

var deleteCustomerAddress = gql__default["default"](templateObject_1$L || (templateObject_1$L = __makeTemplateObject(["\nmutation deleteCustomerAddress($id: Int!) {\n  deleteCustomerAddress(id: $id)\n}"], ["\nmutation deleteCustomerAddress($id: Int!) {\n  deleteCustomerAddress(id: $id)\n}"])));
var templateObject_1$L;

var index$x = (function (context, addressId, customQuery) {
    if (customQuery === void 0) { customQuery = { deleteCustomerAddress: 'deleteCustomerAddress' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var deleteCustomerAddressGQL;
        return __generator(this, function (_a) {
            deleteCustomerAddressGQL = context.extendQuery(customQuery, {
                deleteCustomerAddress: {
                    query: deleteCustomerAddress,
                    variables: { id: addressId },
                },
            }).deleteCustomerAddress;
            return [2 /*return*/, context.client.mutate({
                    mutation: deleteCustomerAddressGQL.query,
                    variables: { id: addressId },
                })];
        });
    });
});

var generateCustomerToken = gql__default["default"](templateObject_1$K || (templateObject_1$K = __makeTemplateObject(["\nmutation generateCustomerToken($email: String!, $password: String!) {\n  generateCustomerToken(email: $email, password: $password) {\n    token\n  }\n}"], ["\nmutation generateCustomerToken($email: String!, $password: String!) {\n  generateCustomerToken(email: $email, password: $password) {\n    token\n  }\n}"])));
var templateObject_1$K;

var index$w = (function (context, email, password, customQuery) {
    if (customQuery === void 0) { customQuery = { generateCustomerToken: 'generateCustomerToken' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var generateCustomerTokenGQL, error_1;
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    _b.trys.push([0, 2, , 3]);
                    generateCustomerTokenGQL = context.extendQuery(customQuery, {
                        generateCustomerToken: {
                            query: generateCustomerToken,
                            variables: {
                                email: email,
                                password: password,
                            },
                        },
                    }).generateCustomerToken;
                    return [4 /*yield*/, context.client
                            .mutate({
                            mutation: generateCustomerTokenGQL.query,
                            variables: {
                                email: email,
                                password: password,
                            },
                        })];
                case 1: return [2 /*return*/, _b.sent()];
                case 2:
                    error_1 = _b.sent();
                    // For error in data we don't throw 500, because it's not server error
                    if (error_1.graphQLErrors) {
                        return [2 /*return*/, {
                                errors: error_1.graphQLErrors,
                                data: null,
                            }];
                    }
                    throw ((_a = error_1.networkError) === null || _a === void 0 ? void 0 : _a.result) || error_1;
                case 3: return [2 /*return*/];
            }
        });
    });
});

var CustomerAvailablePaymentMethods = gql__default["default"](templateObject_1$J || (templateObject_1$J = __makeTemplateObject(["\nquery CustomerAvailablePaymentMethods {\n  customerCart {\n    available_payment_methods {\n      code\n      title\n    }\n  }\n}"], ["\nquery CustomerAvailablePaymentMethods {\n  customerCart {\n    available_payment_methods {\n      code\n      title\n    }\n  }\n}"])));
var templateObject_1$J;

var index$v = (function (context, params, customQuery) {
    if (customQuery === void 0) { customQuery = { paymentMethods: 'paymentMethods' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var paymentMethods, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    paymentMethods = context.extendQuery(customQuery, {
                        paymentMethods: {
                            query: CustomerAvailablePaymentMethods,
                        },
                    }).paymentMethods;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$I || (templateObject_1$I = __makeTemplateObject(["", ""], ["", ""])), paymentMethods.query),
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$I;

var CustomerAvailableShippingMethods = gql__default["default"](templateObject_1$H || (templateObject_1$H = __makeTemplateObject(["\nquery CustomerAvailableShippingMethods {\n  customerCart {\n    shipping_addresses {\n      available_shipping_methods {\n        amount {\n          currency\n          value\n        }\n        available\n        carrier_code\n        carrier_title\n        error_message\n        method_code\n        method_title\n        price_excl_tax {\n          currency\n          value\n        }\n        price_incl_tax {\n          currency\n          value\n        }\n      }\n    }\n  }\n}"], ["\nquery CustomerAvailableShippingMethods {\n  customerCart {\n    shipping_addresses {\n      available_shipping_methods {\n        amount {\n          currency\n          value\n        }\n        available\n        carrier_code\n        carrier_title\n        error_message\n        method_code\n        method_title\n        price_excl_tax {\n          currency\n          value\n        }\n        price_incl_tax {\n          currency\n          value\n        }\n      }\n    }\n  }\n}"])));
var templateObject_1$H;

var index$u = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { shippingMethods: 'shippingMethods' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var shippingMethods, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    shippingMethods = context.extendQuery(customQuery, {
                        shippingMethods: {
                            query: CustomerAvailableShippingMethods,
                        },
                    }).shippingMethods;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$G || (templateObject_1$G = __makeTemplateObject(["", ""], ["", ""])), shippingMethods.query),
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$G;

var GuestAvailablePaymentMethods = gql__default["default"](templateObject_1$F || (templateObject_1$F = __makeTemplateObject(["\nquery GuestAvailablePaymentMethods($cartId: String!) {\n  cart(cart_id: $cartId) {\n    available_payment_methods {\n      code\n      title\n    }\n  }\n}"], ["\nquery GuestAvailablePaymentMethods($cartId: String!) {\n  cart(cart_id: $cartId) {\n    available_payment_methods {\n      code\n      title\n    }\n  }\n}"])));
var templateObject_1$F;

var index$t = (function (context, params, customQuery) {
    if (customQuery === void 0) { customQuery = { paymentMethods: 'paymentMethods' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultVariables, paymentMethods, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultVariables = {
                        cartId: params.cartId || '',
                    };
                    paymentMethods = context.extendQuery(customQuery, {
                        paymentMethods: {
                            query: GuestAvailablePaymentMethods,
                            variables: defaultVariables,
                        },
                    }).paymentMethods;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$E || (templateObject_1$E = __makeTemplateObject(["", ""], ["", ""])), paymentMethods.query),
                            variables: paymentMethods.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$E;

var GuestAvailableShippingMethods = gql__default["default"](templateObject_1$D || (templateObject_1$D = __makeTemplateObject(["\nquery GuestAvailableShippingMethods($cart_id: String!) {\n  cart(cart_id:$cart_id) {\n    shipping_addresses {\n      available_shipping_methods {\n        amount {\n          currency\n          value\n        }\n        available\n        carrier_code\n        carrier_title\n        error_message\n        method_code\n        method_title\n        price_excl_tax {\n          currency\n          value\n        }\n        price_incl_tax {\n          currency\n          value\n        }\n      }\n    }\n  }\n}"], ["\nquery GuestAvailableShippingMethods($cart_id: String!) {\n  cart(cart_id:$cart_id) {\n    shipping_addresses {\n      available_shipping_methods {\n        amount {\n          currency\n          value\n        }\n        available\n        carrier_code\n        carrier_title\n        error_message\n        method_code\n        method_title\n        price_excl_tax {\n          currency\n          value\n        }\n        price_incl_tax {\n          currency\n          value\n        }\n      }\n    }\n  }\n}"])));
var templateObject_1$D;

var index$s = (function (context, params, customQuery) {
    if (customQuery === void 0) { customQuery = { shippingMethods: 'shippingMethods' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultVariables, shippingMethods, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultVariables = params ? {
                        cart_id: params.cartId,
                    } : {};
                    shippingMethods = context.extendQuery(customQuery, {
                        shippingMethods: {
                            query: GuestAvailableShippingMethods,
                            variables: defaultVariables,
                        },
                    }).shippingMethods;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$C || (templateObject_1$C = __makeTemplateObject(["", ""], ["", ""])), shippingMethods.query),
                            variables: shippingMethods.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$C;

var getCustomerAddressesQuery = gql__default["default"](templateObject_1$B || (templateObject_1$B = __makeTemplateObject(["\n  query getCustomerAddresses {\n    customer {\n      addresses {\n        city\n        country_code\n        default_billing\n        default_shipping\n        extension_attributes {\n          attribute_code\n          value\n        }\n        firstname\n        id\n        lastname\n        postcode\n        prefix\n        region {\n          region_code\n          region_id\n          region\n        }\n        street\n        suffix\n        telephone\n        vat_id\n      }\n    }\n  }\n"], ["\n  query getCustomerAddresses {\n    customer {\n      addresses {\n        city\n        country_code\n        default_billing\n        default_shipping\n        extension_attributes {\n          attribute_code\n          value\n        }\n        firstname\n        id\n        lastname\n        postcode\n        prefix\n        region {\n          region_code\n          region_id\n          region\n        }\n        street\n        suffix\n        telephone\n        vat_id\n      }\n    }\n  }\n"])));
var templateObject_1$B;

var index$r = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { getCustomerAddresses: 'getCustomerAddresses' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var getCustomerAddresses, query, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    getCustomerAddresses = context.extendQuery(customQuery, {
                        getCustomerAddresses: {
                            query: getCustomerAddressesQuery,
                        },
                    }).getCustomerAddresses;
                    query = customQuery ? gql__default["default"](templateObject_1$A || (templateObject_1$A = __makeTemplateObject(["", ""], ["", ""])), getCustomerAddresses.query) : getCustomerAddresses.query;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: query,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$A;

var mergeCarts = gql__default["default"](templateObject_1$z || (templateObject_1$z = __makeTemplateObject(["\n  mutation mergeCarts($sourceCartId: String!, $destinationCartId: String!) {\n    mergeCarts(source_cart_id: $sourceCartId, destination_cart_id: $destinationCartId) {\n      id\n      email\n      is_virtual\n      applied_coupons {\n        code\n      }\n      prices {\n        subtotal_excluding_tax {\n          value\n        },\n        subtotal_including_tax {\n          value\n        },\n        applied_taxes {\n          amount {\n            value\n          },\n          label\n        }\n        discounts {\n          amount {\n            value\n          },\n          label\n        }\n        grand_total {\n          value\n        }\n      }\n      items {\n        uid\n        product {\n          uid\n          __typename\n          sku\n          name\n          stock_status\n          only_x_left_in_stock\n          rating_summary\n          thumbnail {\n            url\n            position\n            disabled\n            label\n          }\n          url_key\n          url_rewrites {\n            url\n          }\n          price_range {\n            maximum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n            minimum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n          }\n          categories {\n            uid\n            name\n            url_suffix\n            url_path\n            breadcrumbs {\n              category_name,\n              category_url_path\n            }\n          }\n          review_count\n          reviews {\n            items {\n              average_rating\n              ratings_breakdown {\n                name\n                value\n              }\n            }\n          }\n        }\n        prices {\n          row_total {\n            value\n          }\n          row_total_including_tax {\n            value\n          }\n          total_item_discount {\n            value\n          }\n        }\n        quantity\n        ... on ConfigurableCartItem {\n          configurable_options {\n            configurable_product_option_uid\n            option_label\n            configurable_product_option_value_uid\n            value_label\n          }\n        }\n        ... on BundleCartItem {\n          bundle_options {\n            uid\n            label\n            type\n            values {\n              id\n              label\n              price\n              quantity\n            }\n          }\n        }\n      }\n      total_quantity\n      shipping_addresses {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n        selected_shipping_method {\n          carrier_code\n          carrier_title\n          method_code\n          method_title\n          amount {\n            value\n            currency\n          }\n        }\n      }\n      billing_address {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }"], ["\n  mutation mergeCarts($sourceCartId: String!, $destinationCartId: String!) {\n    mergeCarts(source_cart_id: $sourceCartId, destination_cart_id: $destinationCartId) {\n      id\n      email\n      is_virtual\n      applied_coupons {\n        code\n      }\n      prices {\n        subtotal_excluding_tax {\n          value\n        },\n        subtotal_including_tax {\n          value\n        },\n        applied_taxes {\n          amount {\n            value\n          },\n          label\n        }\n        discounts {\n          amount {\n            value\n          },\n          label\n        }\n        grand_total {\n          value\n        }\n      }\n      items {\n        uid\n        product {\n          uid\n          __typename\n          sku\n          name\n          stock_status\n          only_x_left_in_stock\n          rating_summary\n          thumbnail {\n            url\n            position\n            disabled\n            label\n          }\n          url_key\n          url_rewrites {\n            url\n          }\n          price_range {\n            maximum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n            minimum_price {\n              final_price {\n                currency\n                value\n              }\n              regular_price {\n                currency\n                value\n              }\n            }\n          }\n          categories {\n            uid\n            name\n            url_suffix\n            url_path\n            breadcrumbs {\n              category_name,\n              category_url_path\n            }\n          }\n          review_count\n          reviews {\n            items {\n              average_rating\n              ratings_breakdown {\n                name\n                value\n              }\n            }\n          }\n        }\n        prices {\n          row_total {\n            value\n          }\n          row_total_including_tax {\n            value\n          }\n          total_item_discount {\n            value\n          }\n        }\n        quantity\n        ... on ConfigurableCartItem {\n          configurable_options {\n            configurable_product_option_uid\n            option_label\n            configurable_product_option_value_uid\n            value_label\n          }\n        }\n        ... on BundleCartItem {\n          bundle_options {\n            uid\n            label\n            type\n            values {\n              id\n              label\n              price\n              quantity\n            }\n          }\n        }\n      }\n      total_quantity\n      shipping_addresses {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n        selected_shipping_method {\n          carrier_code\n          carrier_title\n          method_code\n          method_title\n          amount {\n            value\n            currency\n          }\n        }\n      }\n      billing_address {\n        firstname\n        lastname\n        street\n        city\n        company\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }"])));
var templateObject_1$z;

var index$q = (function (context, sourceCartId, destinationCartId, customQuery) {
    if (customQuery === void 0) { customQuery = { mergeCarts: 'mergeCarts' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var mergeCartsGQL;
        return __generator(this, function (_a) {
            mergeCartsGQL = context.extendQuery(customQuery, {
                mergeCarts: {
                    query: mergeCarts,
                    variables: {
                        sourceCartId: sourceCartId,
                        destinationCartId: destinationCartId,
                    },
                },
            }).mergeCarts;
            return [2 /*return*/, context.client.mutate({
                    mutation: mergeCartsGQL.query,
                    variables: {
                        sourceCartId: sourceCartId,
                        destinationCartId: destinationCartId,
                    },
                })];
        });
    });
});

var placeOrderQuery = gql__default["default"](templateObject_1$y || (templateObject_1$y = __makeTemplateObject(["\nmutation placeOrder($input: PlaceOrderInput) {\n  placeOrder(input: $input) {\n    order {\n      order_number\n    }\n  }\n}"], ["\nmutation placeOrder($input: PlaceOrderInput) {\n  placeOrder(input: $input) {\n    order {\n      order_number\n    }\n  }\n}"])));
var templateObject_1$y;

var index$p = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { placeOrder: 'placeOrder' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var placeOrder, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    placeOrder = context.extendQuery(customQuery, {
                        placeOrder: {
                            query: placeOrderQuery,
                            variables: input,
                        },
                    }).placeOrder;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.mutate({
                            mutation: gql__default["default"](templateObject_1$x || (templateObject_1$x = __makeTemplateObject(["", ""], ["", ""])), placeOrder.query),
                            variables: { input: input },
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$x;

var detailQuery = gql__default["default"](templateObject_1$w || (templateObject_1$w = __makeTemplateObject(["\n  query productDetails(\n    $search: String = \"\",\n    $filter: ProductAttributeFilterInput,\n    $pageSize: Int = 10,\n    $currentPage: Int = 1,\n    $sort: ProductAttributeSortInput\n    $configurations: [ID!]\n  ) {\n    products(search: $search, filter: $filter, sort: $sort, pageSize: $pageSize, currentPage: $currentPage) {\n      items {\n        uid\n        sku\n        name\n        stock_status\n        only_x_left_in_stock\n        thumbnail {\n          url\n          position\n          disabled\n          label\n        }\n        url_key\n        url_rewrites {\n          url\n        }\n        price_range {\n          maximum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n          minimum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n        }\n        categories {\n          uid\n          name\n          url_suffix\n          url_path\n          breadcrumbs {\n            category_name,\n            category_url_path\n          }\n        }\n        rating_summary\n        review_count\n        reviews {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n          }\n        }\n        price_range {\n          maximum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n          minimum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n        }\n        small_image {\n          url\n          position\n          disabled\n          label\n        }\n        image {\n          url\n          position\n          disabled\n          label\n        }\n        media_gallery {\n          url\n          position\n          disabled\n          label\n        }\n        thumbnail {\n          url\n          position\n          disabled\n          label\n        }\n        url_key\n        url_rewrites {\n          url\n        }\n        meta_description\n        meta_keyword\n        meta_title\n        description {\n          html\n        }\n        short_description {\n          html\n        }\n        options_container\n        special_to_date\n        ... on BundleProduct {\n          items {\n            position\n            required\n            sku\n            title\n            type\n            uid\n            options {\n              can_change_quantity\n              is_default\n              position\n              uid\n              quantity\n              product {\n                uid\n                sku\n                name\n                price_range {\n                  maximum_price {\n                    final_price {\n                      currency\n                      value\n                    }\n                    regular_price {\n                      currency\n                      value\n                    }\n                  }\n                  minimum_price {\n                    final_price {\n                      currency\n                      value\n                    }\n                    regular_price {\n                      currency\n                      value\n                    }\n                  }\n                }\n              }\n            }\n          }\n        }\n        ... on ConfigurableProduct {\n          configurable_options {\n            attribute_code\n            attribute_uid\n            label\n            position\n            uid\n            use_default\n            values {\n              label\n              swatch_data {\n                value\n              }\n              uid\n            }\n          }\n          configurable_product_options_selection(configurableOptionValueUids: $configurations) {\n            options_available_for_selection {\n              attribute_code\n              option_value_uids\n            }\n            media_gallery {\n              disabled\n              label\n              position\n              url\n            }\n            variant {\n              uid\n              sku\n              name\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n            }\n          }\n        }\n        ... on GroupedProduct {\n          items {\n            position\n            qty\n            product {\n              uid\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n            }\n          }\n        }\n        ... on DownloadableProduct {\n          downloadable_product_samples {\n            sample_url\n            title\n          }\n          downloadable_product_links {\n            id\n            price\n            title\n            uid\n          }\n        }\n        ... on VirtualProduct {\n          gift_message_available\n          product_links {\n            link_type\n            linked_product_sku\n            linked_product_type\n            position\n            sku\n          }\n        }\n      }\n    }\n  }\n"], ["\n  query productDetails(\n    $search: String = \"\",\n    $filter: ProductAttributeFilterInput,\n    $pageSize: Int = 10,\n    $currentPage: Int = 1,\n    $sort: ProductAttributeSortInput\n    $configurations: [ID!]\n  ) {\n    products(search: $search, filter: $filter, sort: $sort, pageSize: $pageSize, currentPage: $currentPage) {\n      items {\n        uid\n        sku\n        name\n        stock_status\n        only_x_left_in_stock\n        thumbnail {\n          url\n          position\n          disabled\n          label\n        }\n        url_key\n        url_rewrites {\n          url\n        }\n        price_range {\n          maximum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n          minimum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n        }\n        categories {\n          uid\n          name\n          url_suffix\n          url_path\n          breadcrumbs {\n            category_name,\n            category_url_path\n          }\n        }\n        rating_summary\n        review_count\n        reviews {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n          }\n        }\n        price_range {\n          maximum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n          minimum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n        }\n        small_image {\n          url\n          position\n          disabled\n          label\n        }\n        image {\n          url\n          position\n          disabled\n          label\n        }\n        media_gallery {\n          url\n          position\n          disabled\n          label\n        }\n        thumbnail {\n          url\n          position\n          disabled\n          label\n        }\n        url_key\n        url_rewrites {\n          url\n        }\n        meta_description\n        meta_keyword\n        meta_title\n        description {\n          html\n        }\n        short_description {\n          html\n        }\n        options_container\n        special_to_date\n        ... on BundleProduct {\n          items {\n            position\n            required\n            sku\n            title\n            type\n            uid\n            options {\n              can_change_quantity\n              is_default\n              position\n              uid\n              quantity\n              product {\n                uid\n                sku\n                name\n                price_range {\n                  maximum_price {\n                    final_price {\n                      currency\n                      value\n                    }\n                    regular_price {\n                      currency\n                      value\n                    }\n                  }\n                  minimum_price {\n                    final_price {\n                      currency\n                      value\n                    }\n                    regular_price {\n                      currency\n                      value\n                    }\n                  }\n                }\n              }\n            }\n          }\n        }\n        ... on ConfigurableProduct {\n          configurable_options {\n            attribute_code\n            attribute_uid\n            label\n            position\n            uid\n            use_default\n            values {\n              label\n              swatch_data {\n                value\n              }\n              uid\n            }\n          }\n          configurable_product_options_selection(configurableOptionValueUids: $configurations) {\n            options_available_for_selection {\n              attribute_code\n              option_value_uids\n            }\n            media_gallery {\n              disabled\n              label\n              position\n              url\n            }\n            variant {\n              uid\n              sku\n              name\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n            }\n          }\n        }\n        ... on GroupedProduct {\n          items {\n            position\n            qty\n            product {\n              uid\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n            }\n          }\n        }\n        ... on DownloadableProduct {\n          downloadable_product_samples {\n            sample_url\n            title\n          }\n          downloadable_product_links {\n            id\n            price\n            title\n            uid\n          }\n        }\n        ... on VirtualProduct {\n          gift_message_available\n          product_links {\n            link_type\n            linked_product_sku\n            linked_product_type\n            position\n            sku\n          }\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$w;

var index$o = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { productDetail: 'productDetail' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, productDetail, query, result, error_1;
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = __assign(__assign({}, defaultParams), { pageSize: defaultParams.pageSize, currentPage: defaultParams.currentPage });
                    if (defaultParams.search)
                        variables.search = defaultParams.search;
                    if (defaultParams.filter)
                        variables.filter = defaultParams.filter;
                    if (defaultParams.sort)
                        variables.sort = defaultParams.sort;
                    productDetail = context.extendQuery(customQuery, {
                        productDetail: {
                            query: detailQuery,
                            variables: variables,
                        },
                    }).productDetail;
                    query = customQuery ? gql__default["default"](templateObject_1$v || (templateObject_1$v = __makeTemplateObject(["", ""], ["", ""])), productDetail.query) : productDetail.query;
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: query,
                            variables: productDetail.variables,
                        })];
                case 2:
                    result = _b.sent();
                    if (result.data.products.items.length === 0)
                        throw new Error('No products found');
                    return [2 /*return*/, result];
                case 3:
                    error_1 = _b.sent();
                    // For error in data we don't throw 500, because it's not server error
                    if (error_1.graphQLErrors) {
                        core.Logger.debug(error_1);
                        return [2 /*return*/, __assign(__assign({}, error_1), { errors: error_1.graphQLErrors, data: null })];
                    }
                    core.Logger.error(error_1);
                    throw ((_a = error_1.networkError) === null || _a === void 0 ? void 0 : _a.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$v;

var productReview = gql__default["default"](templateObject_1$u || (templateObject_1$u = __makeTemplateObject(["\n  query productReview($search: String = \"\", $filter: ProductAttributeFilterInput, $pageSize: Int = 10, $currentPage: Int = 1, $sort: ProductAttributeSortInput) {\n    products(search: $search, filter: $filter, sort: $sort) {\n      items {\n        review_count\n        reviews(pageSize: $pageSize, currentPage: $currentPage) {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n            product {\n              name\n              uid\n            }\n            nickname\n            summary\n            text\n            created_at\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }\n"], ["\n  query productReview($search: String = \"\", $filter: ProductAttributeFilterInput, $pageSize: Int = 10, $currentPage: Int = 1, $sort: ProductAttributeSortInput) {\n    products(search: $search, filter: $filter, sort: $sort) {\n      items {\n        review_count\n        reviews(pageSize: $pageSize, currentPage: $currentPage) {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n            product {\n              name\n              uid\n            }\n            nickname\n            summary\n            text\n            created_at\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$u;

var index$n = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { productReview: 'productReview' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, productReviewGQL, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = {
                        pageSize: defaultParams.pageSize,
                        currentPage: defaultParams.currentPage,
                    };
                    if (defaultParams.search)
                        variables.search = defaultParams.search;
                    if (defaultParams.filter)
                        variables.filter = defaultParams.filter;
                    if (defaultParams.sort)
                        variables.sort = defaultParams.sort;
                    productReviewGQL = context.extendQuery(customQuery, {
                        productReview: {
                            query: productReview,
                            variables: variables,
                        },
                    }).productReview;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$t || (templateObject_1$t = __makeTemplateObject(["", ""], ["", ""])), productReviewGQL.query),
                            variables: productReviewGQL.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$t;

var productReviewRatingsMetadata = gql__default["default"](templateObject_1$s || (templateObject_1$s = __makeTemplateObject(["\nquery productReviewRatingsMetadata{\n  productReviewRatingsMetadata {\n    items {\n      id\n      name\n      values {\n        value_id\n        value\n      }\n    }\n  }\n}"], ["\nquery productReviewRatingsMetadata{\n  productReviewRatingsMetadata {\n    items {\n      id\n      name\n      values {\n        value_id\n        value\n      }\n    }\n  }\n}"])));
var templateObject_1$s;

var index$m = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { productReviewRatingsMetadata: 'productReviewRatingsMetadata' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var productReviewRatingsMetadataGQL;
        return __generator(this, function (_a) {
            productReviewRatingsMetadataGQL = context.extendQuery(customQuery, {
                productReviewRatingsMetadata: {
                    query: productReviewRatingsMetadata,
                },
            }).productReviewRatingsMetadata;
            return [2 /*return*/, context.client.query({
                    query: productReviewRatingsMetadataGQL.query,
                })];
        });
    });
});

var productsList = gql__default["default"](templateObject_1$r || (templateObject_1$r = __makeTemplateObject(["\n  query productsList($search: String = \"\", $filter: ProductAttributeFilterInput, $pageSize: Int = 10, $currentPage: Int = 1, $sort: ProductAttributeSortInput) {\n    products(search: $search, filter: $filter, pageSize: $pageSize, currentPage: $currentPage, sort: $sort) {\n      aggregations {\n        attribute_code\n        label\n        options {\n          label\n          value\n          count\n        }\n      }\n      items {\n        uid\n        sku\n        name\n        stock_status\n        only_x_left_in_stock\n        rating_summary\n        thumbnail {\n          url\n          position\n          disabled\n          label\n        }\n        url_key\n        url_rewrites {\n          url\n        }\n        price_range {\n          maximum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n          minimum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n        }\n        categories {\n          uid\n          name\n          url_suffix\n          url_path\n          breadcrumbs {\n            category_name,\n            category_url_path\n          }\n        }\n        review_count\n        reviews {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n          }\n        }\n      }\n      page_info {\n        current_page\n        page_size\n        total_pages\n      }\n      total_count\n    }\n  }\n"], ["\n  query productsList($search: String = \"\", $filter: ProductAttributeFilterInput, $pageSize: Int = 10, $currentPage: Int = 1, $sort: ProductAttributeSortInput) {\n    products(search: $search, filter: $filter, pageSize: $pageSize, currentPage: $currentPage, sort: $sort) {\n      aggregations {\n        attribute_code\n        label\n        options {\n          label\n          value\n          count\n        }\n      }\n      items {\n        uid\n        sku\n        name\n        stock_status\n        only_x_left_in_stock\n        rating_summary\n        thumbnail {\n          url\n          position\n          disabled\n          label\n        }\n        url_key\n        url_rewrites {\n          url\n        }\n        price_range {\n          maximum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n          minimum_price {\n            final_price {\n              currency\n              value\n            }\n            regular_price {\n              currency\n              value\n            }\n          }\n        }\n        categories {\n          uid\n          name\n          url_suffix\n          url_path\n          breadcrumbs {\n            category_name,\n            category_url_path\n          }\n        }\n        review_count\n        reviews {\n          items {\n            average_rating\n            ratings_breakdown {\n              name\n              value\n            }\n          }\n        }\n      }\n      page_info {\n        current_page\n        page_size\n        total_pages\n      }\n      total_count\n    }\n  }\n"])));
var templateObject_1$r;

var index$l = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { products: 'products' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, products, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = {
                        pageSize: defaultParams.pageSize <= 0 ? 10 : defaultParams.pageSize,
                        currentPage: defaultParams.currentPage <= 0 ? 1 : defaultParams.currentPage,
                    };
                    if (defaultParams.search)
                        variables.search = defaultParams.search;
                    if (defaultParams.filter)
                        variables.filter = defaultParams.filter;
                    if (defaultParams.sort)
                        variables.sort = defaultParams.sort;
                    products = context.extendQuery(customQuery, {
                        products: {
                            query: productsList,
                            variables: variables,
                        },
                    }).products;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$q || (templateObject_1$q = __makeTemplateObject(["", ""], ["", ""])), products.query),
                            variables: products.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$q;

var relatedProduct = gql__default["default"](templateObject_1$p || (templateObject_1$p = __makeTemplateObject(["\n  query relatedProduct(\n    $search: String = \"\"\n    $filter: ProductAttributeFilterInput\n    $pageSize: Int = 10\n    $currentPage: Int = 1\n    $sort: ProductAttributeSortInput\n  ) {\n    products(\n      search: $search\n      filter: $filter\n      sort: $sort\n      pageSize: $pageSize\n      currentPage: $currentPage\n    ) {\n      items {\n        related_products {\n          uid\n    __typename\n    sku\n    name\n    stock_status\n    only_x_left_in_stock\n    rating_summary\n    thumbnail {\n      url\n      position\n      disabled\n      label\n    }\n    url_key\n    url_rewrites {\n      url\n    }\n    price_range {\n      maximum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n      minimum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n    }\n    categories {\n      uid\n      name\n      url_suffix\n      url_path\n      breadcrumbs {\n        category_name,\n        category_url_path\n      }\n    }\n    review_count\n    reviews {\n      items {\n        average_rating\n        ratings_breakdown {\n          name\n          value\n        }\n      }\n    }\n        }\n        uid\n      }\n    }\n  }\n"], ["\n  query relatedProduct(\n    $search: String = \"\"\n    $filter: ProductAttributeFilterInput\n    $pageSize: Int = 10\n    $currentPage: Int = 1\n    $sort: ProductAttributeSortInput\n  ) {\n    products(\n      search: $search\n      filter: $filter\n      sort: $sort\n      pageSize: $pageSize\n      currentPage: $currentPage\n    ) {\n      items {\n        related_products {\n          uid\n    __typename\n    sku\n    name\n    stock_status\n    only_x_left_in_stock\n    rating_summary\n    thumbnail {\n      url\n      position\n      disabled\n      label\n    }\n    url_key\n    url_rewrites {\n      url\n    }\n    price_range {\n      maximum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n      minimum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n    }\n    categories {\n      uid\n      name\n      url_suffix\n      url_path\n      breadcrumbs {\n        category_name,\n        category_url_path\n      }\n    }\n    review_count\n    reviews {\n      items {\n        average_rating\n        ratings_breakdown {\n          name\n          value\n        }\n      }\n    }\n        }\n        uid\n      }\n    }\n  }\n"])));
var templateObject_1$p;

var index$k = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { relatedProduct: 'relatedProduct' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, relatedProductGQL, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = {
                        pageSize: defaultParams.pageSize,
                        currentPage: defaultParams.currentPage,
                    };
                    if (defaultParams.search)
                        variables.search = defaultParams.search;
                    if (defaultParams.filter)
                        variables.filter = defaultParams.filter;
                    if (defaultParams.sort)
                        variables.sort = defaultParams.sort;
                    relatedProductGQL = context.extendQuery(customQuery, {
                        relatedProduct: {
                            query: relatedProduct,
                            variables: variables,
                        },
                    }).relatedProduct;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$o || (templateObject_1$o = __makeTemplateObject(["", ""], ["", ""])), relatedProductGQL.query),
                            variables: relatedProductGQL.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$o;

var removeCouponFromCart = gql__default["default"](templateObject_1$n || (templateObject_1$n = __makeTemplateObject(["\n  mutation removeCouponFromCart($input: RemoveCouponFromCartInput) {\n    removeCouponFromCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation removeCouponFromCart($input: RemoveCouponFromCartInput) {\n    removeCouponFromCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$n;

var index$j = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { removeCouponFromCart: 'removeCouponFromCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var removeCouponFromCartGQL;
        return __generator(this, function (_a) {
            removeCouponFromCartGQL = context.extendQuery(customQuery, {
                removeCouponFromCart: {
                    query: removeCouponFromCart,
                    variables: { input: input },
                },
            }).removeCouponFromCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: removeCouponFromCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var removeItemFromCart = gql__default["default"](templateObject_1$m || (templateObject_1$m = __makeTemplateObject(["\n  mutation removeItemFromCart($input: RemoveItemFromCartInput) {\n    removeItemFromCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation removeItemFromCart($input: RemoveItemFromCartInput) {\n    removeItemFromCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$m;

var index$i = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { removeItemFromCart: 'removeItemFromCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var removeItemFromCartGQL;
        return __generator(this, function (_a) {
            removeItemFromCartGQL = context.extendQuery(customQuery, {
                removeItemFromCart: {
                    query: removeItemFromCart,
                    variables: { input: input },
                },
            }).removeItemFromCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: removeItemFromCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var removeProductsFromWishlist = gql__default["default"](templateObject_1$l || (templateObject_1$l = __makeTemplateObject(["\n  mutation removeProductsFromWishlist($id: ID!, $items: [ID!]!) {\n    removeProductsFromWishlist(wishlistId: $id, wishlistItemsIds: $items) {\n      wishlist {\n        id\n        items_count\n        sharing_code\n        items_v2 {\n          items {\n            id\n            quantity\n            description\n            added_at\n            product {\n              ...on ConfigurableProduct {\n                configurable_options {\n                  attribute_code\n                  attribute_uid\n                  label\n                  position\n                  uid\n                  use_default\n                  values {\n                    label\n                    swatch_data {\n                      value\n                    }\n                    uid\n                  }\n                }\n              }\n              ... on BundleProduct {\n                items {\n                  sku\n                  title\n                  options {\n                    uid\n                    quantity\n                    product {\n                      uid\n                      sku\n                      name\n                      price_range {\n                        maximum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                        minimum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                      }\n                    }\n                  }\n                }\n              }\n              uid\n              __typename\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              rating_summary\n              categories {\n                uid\n                name\n                url_suffix\n                url_path\n                breadcrumbs {\n                  category_name,\n                  category_url_path\n                }\n              }\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n              url_key\n              url_rewrites {\n                url\n              }\n              review_count\n              reviews {\n                items {\n                  average_rating\n                  ratings_breakdown {\n                    name\n                    value\n                  }\n                }\n              }\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation removeProductsFromWishlist($id: ID!, $items: [ID!]!) {\n    removeProductsFromWishlist(wishlistId: $id, wishlistItemsIds: $items) {\n      wishlist {\n        id\n        items_count\n        sharing_code\n        items_v2 {\n          items {\n            id\n            quantity\n            description\n            added_at\n            product {\n              ...on ConfigurableProduct {\n                configurable_options {\n                  attribute_code\n                  attribute_uid\n                  label\n                  position\n                  uid\n                  use_default\n                  values {\n                    label\n                    swatch_data {\n                      value\n                    }\n                    uid\n                  }\n                }\n              }\n              ... on BundleProduct {\n                items {\n                  sku\n                  title\n                  options {\n                    uid\n                    quantity\n                    product {\n                      uid\n                      sku\n                      name\n                      price_range {\n                        maximum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                        minimum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                      }\n                    }\n                  }\n                }\n              }\n              uid\n              __typename\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              rating_summary\n              categories {\n                uid\n                name\n                url_suffix\n                url_path\n                breadcrumbs {\n                  category_name,\n                  category_url_path\n                }\n              }\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n              url_key\n              url_rewrites {\n                url\n              }\n              review_count\n              reviews {\n                items {\n                  average_rating\n                  ratings_breakdown {\n                    name\n                    value\n                  }\n                }\n              }\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$l;

var index$h = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { removeProductsFromWishlist: 'removeProductsFromWishlist' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var removeProductsFromWishlistGQL;
        return __generator(this, function (_a) {
            removeProductsFromWishlistGQL = context.extendQuery(customQuery, {
                removeProductsFromWishlist: {
                    query: removeProductsFromWishlist,
                    variables: { input: input },
                },
            }).removeProductsFromWishlist;
            return [2 /*return*/, context.client.mutate({
                    mutation: removeProductsFromWishlistGQL.query,
                    variables: input,
                })];
        });
    });
});

var requestPasswordResetEmailMutation = gql__default["default"](templateObject_1$k || (templateObject_1$k = __makeTemplateObject(["\nmutation requestPasswordResetEmail($email: String!){\n    requestPasswordResetEmail(email: $email)\n}\n"], ["\nmutation requestPasswordResetEmail($email: String!){\n    requestPasswordResetEmail(email: $email)\n}\n"])));
var templateObject_1$k;

var index$g = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { requestPasswordResetEmail: 'requestPasswordResetEmail' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var requestPasswordResetEmail, result;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    requestPasswordResetEmail = context.extendQuery(customQuery, {
                        requestPasswordResetEmail: {
                            query: requestPasswordResetEmailMutation,
                            variables: input,
                        },
                    }).requestPasswordResetEmail;
                    core.Logger.debug('[VSF: Magento] requestPasswordResetEmail', JSON.stringify(input, null, 2));
                    return [4 /*yield*/, context.client
                            .mutate({
                            mutation: gql__default["default"](templateObject_1$j || (templateObject_1$j = __makeTemplateObject(["", ""], ["", ""])), requestPasswordResetEmail.query),
                            variables: requestPasswordResetEmail.variables,
                        })];
                case 1:
                    result = _a.sent();
                    if (!result.data.requestPasswordResetEmail)
                        throw new Error('Email was not found, or not available.');
                    return [2 /*return*/, result];
            }
        });
    });
});
var templateObject_1$j;

var resetPasswordMutation = gql__default["default"](templateObject_1$i || (templateObject_1$i = __makeTemplateObject(["\n  mutation resetPassword($email: String!, $newPassword: String!, $resetPasswordToken: String!){\n    resetPassword(email: $email, newPassword: $newPassword, resetPasswordToken: $resetPasswordToken)\n  }\n"], ["\n  mutation resetPassword($email: String!, $newPassword: String!, $resetPasswordToken: String!){\n    resetPassword(email: $email, newPassword: $newPassword, resetPasswordToken: $resetPasswordToken)\n  }\n"])));
var templateObject_1$i;

var index$f = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { resetPassword: 'resetPassword' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var resetPassword, result;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    resetPassword = context.extendQuery(customQuery, {
                        resetPassword: {
                            query: resetPasswordMutation,
                            variables: input,
                        },
                    }).resetPassword;
                    core.Logger.debug('[VSF: Magento] requestPasswordResetEmail', JSON.stringify(input, null, 2));
                    return [4 /*yield*/, context.client
                            .mutate({
                            mutation: gql__default["default"](templateObject_1$h || (templateObject_1$h = __makeTemplateObject(["", ""], ["", ""])), resetPassword.query),
                            variables: resetPassword.variables,
                        })];
                case 1:
                    result = _a.sent();
                    if (!result.data.resetPassword)
                        throw new Error('It was not possible to change the user password.');
                    return [2 /*return*/, result];
            }
        });
    });
});
var templateObject_1$h;

var revokeCustomerToken = gql__default["default"](templateObject_1$g || (templateObject_1$g = __makeTemplateObject(["\nmutation revokeCustomerToken{\n  revokeCustomerToken {\n    result\n  }\n}"], ["\nmutation revokeCustomerToken{\n  revokeCustomerToken {\n    result\n  }\n}"])));
var templateObject_1$g;

var index$e = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { revokeCustomerToken: 'revokeCustomerToken' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var revokeCustomerTokenGQL;
        return __generator(this, function (_a) {
            revokeCustomerTokenGQL = context.extendQuery(customQuery, {
                revokeCustomerToken: {
                    query: revokeCustomerToken,
                },
            }).revokeCustomerToken;
            return [2 /*return*/, context.client.mutate({
                    mutation: revokeCustomerTokenGQL.query,
                })];
        });
    });
});

var setBillingAddressOnCart = gql__default["default"](templateObject_1$f || (templateObject_1$f = __makeTemplateObject(["\nmutation setBillingAddressOnCart($input: SetBillingAddressOnCartInput) {\n  setBillingAddressOnCart(input: $input) {\n    cart {\n      billing_address {\n        firstname\n        lastname\n        company\n        street\n        city\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }\n}"], ["\nmutation setBillingAddressOnCart($input: SetBillingAddressOnCartInput) {\n  setBillingAddressOnCart(input: $input) {\n    cart {\n      billing_address {\n        firstname\n        lastname\n        company\n        street\n        city\n        region {\n          code\n          region_id\n          label\n        }\n        postcode\n        telephone\n        country {\n          code\n          label\n        }\n      }\n    }\n  }\n}"])));
var templateObject_1$f;

var index$d = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { setBillingAddressOnCart: 'setBillingAddressOnCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var setBillingAddressOnCartGQL;
        return __generator(this, function (_a) {
            setBillingAddressOnCartGQL = context.extendQuery(customQuery, {
                setBillingAddressOnCart: {
                    query: setBillingAddressOnCart,
                    variables: { input: input },
                },
            }).setBillingAddressOnCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: setBillingAddressOnCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var setGuestEmailOnCart = gql__default["default"](templateObject_1$e || (templateObject_1$e = __makeTemplateObject(["\nmutation setGuestEmailOnCart($input: SetGuestEmailOnCartInput) {\n  setGuestEmailOnCart(input: $input) {\n    cart {\n      email\n    }\n  }\n}"], ["\nmutation setGuestEmailOnCart($input: SetGuestEmailOnCartInput) {\n  setGuestEmailOnCart(input: $input) {\n    cart {\n      email\n    }\n  }\n}"])));
var templateObject_1$e;

var index$c = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { setGuestEmailOnCart: 'setGuestEmailOnCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var setGuestEmailOnCartGQL;
        return __generator(this, function (_a) {
            setGuestEmailOnCartGQL = context.extendQuery(customQuery, {
                setGuestEmailOnCart: {
                    query: setGuestEmailOnCart,
                    variables: { input: input },
                },
            }).setGuestEmailOnCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: setGuestEmailOnCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var setPaymentMethodOnCart = gql__default["default"](templateObject_1$d || (templateObject_1$d = __makeTemplateObject(["\nmutation setPaymentMethodOnCart($input: SetPaymentMethodOnCartInput) {\n  setPaymentMethodOnCart(input: $input) {\n    cart {\n      available_payment_methods {\n        code\n        title\n      }\n      selected_payment_method {\n        code\n        title\n      }\n    }\n  }\n}"], ["\nmutation setPaymentMethodOnCart($input: SetPaymentMethodOnCartInput) {\n  setPaymentMethodOnCart(input: $input) {\n    cart {\n      available_payment_methods {\n        code\n        title\n      }\n      selected_payment_method {\n        code\n        title\n      }\n    }\n  }\n}"])));
var templateObject_1$d;

var index$b = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { setPaymentMethodOnCart: 'setPaymentMethodOnCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var setPaymentMethodOnCartGQL;
        return __generator(this, function (_a) {
            setPaymentMethodOnCartGQL = context.extendQuery(customQuery, {
                setPaymentMethodOnCart: {
                    query: setPaymentMethodOnCart,
                    variables: { input: input },
                },
            }).setPaymentMethodOnCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: setPaymentMethodOnCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var setShippingAddressesOnCart = gql__default["default"](templateObject_1$c || (templateObject_1$c = __makeTemplateObject(["\nmutation setShippingAddressesOnCart($input: SetShippingAddressesOnCartInput) {\n  setShippingAddressesOnCart(input: $input) {\n    cart {\n      shipping_addresses {\n        city\n        company\n        firstname\n        lastname\n        postcode\n        region {\n          code\n          label\n          region_id\n        }\n        street\n        telephone\n        country {\n          code\n          label\n        }\n        available_shipping_methods {\n          amount {\n            currency\n            value\n          }\n          available\n          carrier_code\n          carrier_title\n          error_message\n          method_code\n          method_title\n          price_excl_tax {\n            currency\n            value\n          }\n          price_incl_tax {\n            currency\n            value\n          }\n        }\n      }\n    }\n  }\n}"], ["\nmutation setShippingAddressesOnCart($input: SetShippingAddressesOnCartInput) {\n  setShippingAddressesOnCart(input: $input) {\n    cart {\n      shipping_addresses {\n        city\n        company\n        firstname\n        lastname\n        postcode\n        region {\n          code\n          label\n          region_id\n        }\n        street\n        telephone\n        country {\n          code\n          label\n        }\n        available_shipping_methods {\n          amount {\n            currency\n            value\n          }\n          available\n          carrier_code\n          carrier_title\n          error_message\n          method_code\n          method_title\n          price_excl_tax {\n            currency\n            value\n          }\n          price_incl_tax {\n            currency\n            value\n          }\n        }\n      }\n    }\n  }\n}"])));
var templateObject_1$c;

var index$a = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { setShippingAddressesOnCart: 'setShippingAddressesOnCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var setShippingAddressesOnCartGQL;
        return __generator(this, function (_a) {
            setShippingAddressesOnCartGQL = context.extendQuery(customQuery, {
                setShippingAddressesOnCart: {
                    query: setShippingAddressesOnCart,
                    variables: { input: input },
                },
            }).setShippingAddressesOnCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: setShippingAddressesOnCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var setShippingMethodsOnCart = gql__default["default"](templateObject_1$b || (templateObject_1$b = __makeTemplateObject(["\n  mutation setShippingMethodsOnCart($input: SetShippingMethodsOnCartInput) {\n    setShippingMethodsOnCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation setShippingMethodsOnCart($input: SetShippingMethodsOnCartInput) {\n    setShippingMethodsOnCart(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$b;

var index$9 = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { setShippingMethodsOnCart: 'setShippingMethodsOnCart' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var setShippingMethodsOnCartGQL;
        return __generator(this, function (_a) {
            setShippingMethodsOnCartGQL = context.extendQuery(customQuery, {
                setShippingMethodsOnCart: {
                    query: setShippingMethodsOnCart,
                    variables: { input: input },
                },
            }).setShippingMethodsOnCart;
            return [2 /*return*/, context.client.mutate({
                    mutation: setShippingMethodsOnCartGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var storeConfig = gql__default["default"](templateObject_1$a || (templateObject_1$a = __makeTemplateObject(["\n  query storeConfig {\n    storeConfig {\n        allow_guests_to_write_product_reviews,\n        allow_items,\n        allow_order,\n        base_currency_code,\n        catalog_default_sort_by,\n        category_fixed_product_tax_display_setting,\n        cms_home_page,\n        cms_no_cookies,\n        cms_no_route,\n        configurable_thumbnail_source,\n        copyright,\n        default_description,\n        default_display_currency_code,\n        default_keywords,\n        default_title,\n        grid_per_page,\n        grid_per_page_values,\n        head_shortcut_icon,\n        header_logo_src,\n        is_default_store,\n        is_default_store_group,\n        list_mode,\n        list_per_page,\n        list_per_page_values,\n        locale,\n        logo_alt,\n        logo_height,\n        logo_width,\n        magento_wishlist_general_is_enabled,\n        minimum_password_length,\n        no_route,\n        product_fixed_product_tax_display_setting,\n        product_reviews_enabled,\n        required_character_classes_number,\n        root_category_uid,\n        sales_fixed_product_tax_display_setting,\n        store_code,\n        store_group_code,\n        store_group_name,\n        store_name,\n        store_sort_order,\n        timezone,\n        title_prefix,\n        title_separator,\n        title_suffix,\n        use_store_in_url,\n        website_code,\n        website_name,\n        weight_unit,\n        welcome,\n    }\n  }\n"], ["\n  query storeConfig {\n    storeConfig {\n        allow_guests_to_write_product_reviews,\n        allow_items,\n        allow_order,\n        base_currency_code,\n        catalog_default_sort_by,\n        category_fixed_product_tax_display_setting,\n        cms_home_page,\n        cms_no_cookies,\n        cms_no_route,\n        configurable_thumbnail_source,\n        copyright,\n        default_description,\n        default_display_currency_code,\n        default_keywords,\n        default_title,\n        grid_per_page,\n        grid_per_page_values,\n        head_shortcut_icon,\n        header_logo_src,\n        is_default_store,\n        is_default_store_group,\n        list_mode,\n        list_per_page,\n        list_per_page_values,\n        locale,\n        logo_alt,\n        logo_height,\n        logo_width,\n        magento_wishlist_general_is_enabled,\n        minimum_password_length,\n        no_route,\n        product_fixed_product_tax_display_setting,\n        product_reviews_enabled,\n        required_character_classes_number,\n        root_category_uid,\n        sales_fixed_product_tax_display_setting,\n        store_code,\n        store_group_code,\n        store_group_name,\n        store_name,\n        store_sort_order,\n        timezone,\n        title_prefix,\n        title_separator,\n        title_suffix,\n        use_store_in_url,\n        website_code,\n        website_name,\n        weight_unit,\n        welcome,\n    }\n  }\n"])));
var templateObject_1$a;

var index$8 = (function (context, customQuery) {
    if (customQuery === void 0) { customQuery = { storeConfig: 'storeConfig' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var storeConfigGQL;
        return __generator(this, function (_a) {
            storeConfigGQL = context.extendQuery(customQuery, {
                storeConfig: {
                    query: storeConfig,
                },
            }).storeConfig;
            return [2 /*return*/, context.client.query({
                    query: storeConfigGQL.query,
                })];
        });
    });
});

var subscribeEmailToNewsletter = gql__default["default"](templateObject_1$9 || (templateObject_1$9 = __makeTemplateObject(["\nmutation subscribeEmailToNewsletter($email: String!){\n  subscribeEmailToNewsletter(email: $email) {\n    status\n  }\n}"], ["\nmutation subscribeEmailToNewsletter($email: String!){\n  subscribeEmailToNewsletter(email: $email) {\n    status\n  }\n}"])));
var templateObject_1$9;

var index$7 = (function (context, _a, customQuery) {
    var email = _a.email;
    if (customQuery === void 0) { customQuery = { subscribeEmailToNewsletter: 'subscribeEmailToNewsletter' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var subscribeEmailToNewsletterGQL;
        return __generator(this, function (_b) {
            subscribeEmailToNewsletterGQL = context.extendQuery(customQuery, {
                subscribeEmailToNewsletter: {
                    query: subscribeEmailToNewsletter,
                    variables: {
                        email: email,
                    },
                },
            }).subscribeEmailToNewsletter;
            return [2 /*return*/, context.client.mutate({
                    mutation: subscribeEmailToNewsletterGQL.query,
                    variables: {
                        email: email,
                    },
                })];
        });
    });
});

var updateCartItems = gql__default["default"](templateObject_1$8 || (templateObject_1$8 = __makeTemplateObject(["\n  mutation updateCartItems($input: UpdateCartItemsInput) {\n    updateCartItems(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"], ["\n  mutation updateCartItems($input: UpdateCartItemsInput) {\n    updateCartItems(input: $input) {\n      cart {\n        id\n        email\n        is_virtual\n        applied_coupons {\n          code\n        }\n        prices {\n          subtotal_excluding_tax {\n            value\n          },\n          subtotal_including_tax {\n            value\n          },\n          applied_taxes {\n            amount {\n              value\n            },\n            label\n          }\n          discounts {\n            amount {\n              value\n            },\n            label\n          }\n          grand_total {\n            value\n          }\n        }\n        items {\n          uid\n          product {\n            uid\n            __typename\n            sku\n            name\n            stock_status\n            only_x_left_in_stock\n            rating_summary\n            thumbnail {\n              url\n              position\n              disabled\n              label\n            }\n            url_key\n            url_rewrites {\n              url\n            }\n            price_range {\n              maximum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n              minimum_price {\n                final_price {\n                  currency\n                  value\n                }\n                regular_price {\n                  currency\n                  value\n                }\n              }\n            }\n            categories {\n              uid\n              name\n              url_suffix\n              url_path\n              breadcrumbs {\n                category_name,\n                category_url_path\n              }\n            }\n            review_count\n            reviews {\n              items {\n                average_rating\n                ratings_breakdown {\n                  name\n                  value\n                }\n              }\n            }\n          }\n          prices {\n            row_total {\n              value\n            }\n            row_total_including_tax {\n              value\n            }\n            total_item_discount {\n              value\n            }\n          }\n          quantity\n          ... on ConfigurableCartItem {\n            configurable_options {\n              configurable_product_option_uid\n              option_label\n              configurable_product_option_value_uid\n              value_label\n            }\n          }\n          ... on BundleCartItem {\n            bundle_options {\n              uid\n              label\n              type\n              values {\n                id\n                label\n                price\n                quantity\n              }\n            }\n          }\n        }\n        total_quantity\n        shipping_addresses {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n          selected_shipping_method {\n            carrier_code\n            carrier_title\n            method_code\n            method_title\n            amount {\n              value\n              currency\n            }\n          }\n        }\n        billing_address {\n          firstname\n          lastname\n          street\n          city\n          company\n          region {\n            code\n            region_id\n            label\n          }\n          postcode\n          telephone\n          country {\n            code\n            label\n          }\n        }\n      }\n    }\n  }"])));
var templateObject_1$8;

var index$6 = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { updateCartItems: 'updateCartItems' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var updateCartItemsGQL;
        return __generator(this, function (_a) {
            updateCartItemsGQL = context.extendQuery(customQuery, {
                updateCartItems: {
                    query: updateCartItems,
                    variables: {
                        input: input,
                    },
                },
            }).updateCartItems;
            return [2 /*return*/, context.client.mutate({
                    mutation: updateCartItemsGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var updateCustomer = gql__default["default"](templateObject_1$7 || (templateObject_1$7 = __makeTemplateObject(["\n  mutation updateCustomer($input: CustomerUpdateInput!) {\n    updateCustomerV2(input: $input) {\n      customer {\n        date_of_birth\n        default_billing\n        default_shipping\n        email\n        firstname\n        is_subscribed\n        lastname\n        middlename\n        prefix\n        suffix\n        taxvat\n        addresses {\n          city\n          country_code\n          default_billing\n          default_shipping\n          extension_attributes {\n            attribute_code\n            value\n          }\n          firstname\n          id\n          lastname\n          postcode\n          prefix\n          region {\n            region_code\n            region_id\n            region\n          }\n          street\n          suffix\n          telephone\n          vat_id\n        }\n      }\n    }\n  }\n"], ["\n  mutation updateCustomer($input: CustomerUpdateInput!) {\n    updateCustomerV2(input: $input) {\n      customer {\n        date_of_birth\n        default_billing\n        default_shipping\n        email\n        firstname\n        is_subscribed\n        lastname\n        middlename\n        prefix\n        suffix\n        taxvat\n        addresses {\n          city\n          country_code\n          default_billing\n          default_shipping\n          extension_attributes {\n            attribute_code\n            value\n          }\n          firstname\n          id\n          lastname\n          postcode\n          prefix\n          region {\n            region_code\n            region_id\n            region\n          }\n          street\n          suffix\n          telephone\n          vat_id\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$7;

var index$5 = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { updateCustomer: 'updateCustomer' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var updateCustomerGQL;
        return __generator(this, function (_a) {
            updateCustomerGQL = context.extendQuery(customQuery, {
                updateCustomer: {
                    query: updateCustomer,
                    variables: { input: input },
                },
            }).updateCustomer;
            return [2 /*return*/, context.client.mutate({
                    mutation: updateCustomerGQL.query,
                    variables: { input: input },
                })];
        });
    });
});

var updateCustomerAddress = gql__default["default"](templateObject_1$6 || (templateObject_1$6 = __makeTemplateObject(["\n  mutation updateCustomerAddress($id: Int!, $input: CustomerAddressInput) {\n  updateCustomerAddress(id: $id, input: $input) {\n    id\n    city\n    company\n    country_code\n    default_billing\n    default_shipping\n    extension_attributes {\n      attribute_code\n      value\n    }\n    fax\n    firstname\n    id\n    lastname\n    middlename\n    postcode\n    prefix\n    region {\n      region\n      region_code\n      region_id\n    }\n    street\n    suffix\n    telephone\n    vat_id\n  }\n}"], ["\n  mutation updateCustomerAddress($id: Int!, $input: CustomerAddressInput) {\n  updateCustomerAddress(id: $id, input: $input) {\n    id\n    city\n    company\n    country_code\n    default_billing\n    default_shipping\n    extension_attributes {\n      attribute_code\n      value\n    }\n    fax\n    firstname\n    id\n    lastname\n    middlename\n    postcode\n    prefix\n    region {\n      region\n      region_code\n      region_id\n    }\n    street\n    suffix\n    telephone\n    vat_id\n  }\n}"])));
var templateObject_1$6;

var index$4 = (function (context, params, customQuery) {
    if (customQuery === void 0) { customQuery = { updateCustomerAddress: 'updateCustomerAddress' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var updateCustomerAddressGQL;
        return __generator(this, function (_a) {
            updateCustomerAddressGQL = context.extendQuery(customQuery, {
                updateCustomerAddress: {
                    query: updateCustomerAddress,
                    variables: {
                        id: params.addressId,
                        input: params.input,
                    },
                },
            }).updateCustomerAddress;
            return [2 /*return*/, context.client.mutate({
                    mutation: updateCustomerAddressGQL.query,
                    variables: {
                        id: params.addressId,
                        input: params.input,
                    },
                })];
        });
    });
});

var updateCustomerEmail = gql__default["default"](templateObject_1$5 || (templateObject_1$5 = __makeTemplateObject(["\n  mutation updateCustomerEmail($email: String!, $password: String!) {\n    updateCustomerEmail(email: $email, password: $password){\n      customer {\n        date_of_birth\n        default_billing\n        default_shipping\n        email\n        firstname\n        is_subscribed\n        lastname\n        middlename\n        prefix\n        suffix\n        taxvat\n        addresses {\n          city\n          country_code\n          default_billing\n          default_shipping\n          extension_attributes {\n            attribute_code\n            value\n          }\n          firstname\n          id\n          lastname\n          postcode\n          prefix\n          region {\n            region_code\n            region_id\n            region\n          }\n          street\n          suffix\n          telephone\n          vat_id\n        }\n      }\n    }\n  }\n"], ["\n  mutation updateCustomerEmail($email: String!, $password: String!) {\n    updateCustomerEmail(email: $email, password: $password){\n      customer {\n        date_of_birth\n        default_billing\n        default_shipping\n        email\n        firstname\n        is_subscribed\n        lastname\n        middlename\n        prefix\n        suffix\n        taxvat\n        addresses {\n          city\n          country_code\n          default_billing\n          default_shipping\n          extension_attributes {\n            attribute_code\n            value\n          }\n          firstname\n          id\n          lastname\n          postcode\n          prefix\n          region {\n            region_code\n            region_id\n            region\n          }\n          street\n          suffix\n          telephone\n          vat_id\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$5;

var index$3 = (function (context, input, customQuery) {
    if (customQuery === void 0) { customQuery = { updateCustomerEmail: 'updateCustomerEmail' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var updateCustomerEmailGQL;
        return __generator(this, function (_a) {
            updateCustomerEmailGQL = context.extendQuery(customQuery, {
                updateCustomerEmail: {
                    query: updateCustomerEmail,
                    variables: __assign({}, input),
                },
            }).updateCustomerEmail;
            return [2 /*return*/, context.client.mutate({
                    mutation: updateCustomerEmailGQL.query,
                    variables: __assign({}, input),
                })];
        });
    });
});

var upsellProducts = gql__default["default"](templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["\n  query upsellProducts(\n    $search: String = \"\"\n    $filter: ProductAttributeFilterInput\n    $pageSize: Int = 10\n    $currentPage: Int = 1\n    $sort: ProductAttributeSortInput\n  ) {\n    products(\n      search: $search\n      filter: $filter\n      sort: $sort\n      pageSize: $pageSize\n      currentPage: $currentPage\n    ){\n      items {\n        upsell_products {\n          uid\n    __typename\n    sku\n    name\n    stock_status\n    only_x_left_in_stock\n    rating_summary\n    thumbnail {\n      url\n      position\n      disabled\n      label\n    }\n    url_key\n    url_rewrites {\n      url\n    }\n    price_range {\n      maximum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n      minimum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n    }\n    categories {\n      uid\n      name\n      url_suffix\n      url_path\n      breadcrumbs {\n        category_name,\n        category_url_path\n      }\n    }\n    review_count\n    reviews {\n      items {\n        average_rating\n        ratings_breakdown {\n          name\n          value\n        }\n      }\n    }\n        }\n        uid\n      }\n    }\n  }\n"], ["\n  query upsellProducts(\n    $search: String = \"\"\n    $filter: ProductAttributeFilterInput\n    $pageSize: Int = 10\n    $currentPage: Int = 1\n    $sort: ProductAttributeSortInput\n  ) {\n    products(\n      search: $search\n      filter: $filter\n      sort: $sort\n      pageSize: $pageSize\n      currentPage: $currentPage\n    ){\n      items {\n        upsell_products {\n          uid\n    __typename\n    sku\n    name\n    stock_status\n    only_x_left_in_stock\n    rating_summary\n    thumbnail {\n      url\n      position\n      disabled\n      label\n    }\n    url_key\n    url_rewrites {\n      url\n    }\n    price_range {\n      maximum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n      minimum_price {\n        final_price {\n          currency\n          value\n        }\n        regular_price {\n          currency\n          value\n        }\n      }\n    }\n    categories {\n      uid\n      name\n      url_suffix\n      url_path\n      breadcrumbs {\n        category_name,\n        category_url_path\n      }\n    }\n    review_count\n    reviews {\n      items {\n        average_rating\n        ratings_breakdown {\n          name\n          value\n        }\n      }\n    }\n        }\n        uid\n      }\n    }\n  }\n"])));
var templateObject_1$4;

var index$2 = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { upsellProducts: 'upsellProducts' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, upsellProductsGQL, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = {
                        pageSize: defaultParams.pageSize,
                        currentPage: defaultParams.currentPage,
                    };
                    if (defaultParams.search)
                        variables.search = defaultParams.search;
                    if (defaultParams.filter)
                        variables.filter = defaultParams.filter;
                    if (defaultParams.sort)
                        variables.sort = defaultParams.sort;
                    upsellProductsGQL = context.extendQuery(customQuery, {
                        upsellProducts: {
                            query: upsellProducts,
                            variables: variables,
                        },
                    }).upsellProducts;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client.query({
                            query: gql__default["default"](templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["", ""], ["", ""])), upsellProductsGQL.query),
                            variables: upsellProductsGQL.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1$3;

var urlResolver = gql__default["default"](templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\nquery urlResolver($url: String!) {\n  urlResolver(url:$url) {\n    id,\n    redirectCode,\n    relative_url,\n    type\n    entity_uid\n  }\n}"], ["\nquery urlResolver($url: String!) {\n  urlResolver(url:$url) {\n    id,\n    redirectCode,\n    relative_url,\n    type\n    entity_uid\n  }\n}"])));
var templateObject_1$2;

var index$1 = (function (context, url, customQuery) {
    if (customQuery === void 0) { customQuery = { urlResolver: 'urlResolver' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var urlResolverGQL;
        return __generator(this, function (_a) {
            urlResolverGQL = context.extendQuery(customQuery, {
                urlResolver: {
                    query: urlResolver,
                    variables: { url: url },
                },
            }).urlResolver;
            return [2 /*return*/, context.client.query({
                    query: urlResolverGQL.query,
                    variables: { url: url },
                })];
        });
    });
});

var wishlistQuery = gql__default["default"](templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  query wishlist($currentPage: Int = 1, $pageSize: Int = 10) {\n    customer {\n      wishlists {\n        id\n        items_count\n        sharing_code\n        items_v2(currentPage: $currentPage, pageSize: $pageSize) {\n          items {\n            id\n            quantity\n            description\n            added_at\n            product {\n              ...on ConfigurableProduct {\n                configurable_options {\n                  attribute_code\n                  attribute_uid\n                  label\n                  position\n                  uid\n                  use_default\n                  values {\n                    label\n                    swatch_data {\n                      value\n                    }\n                    uid\n                  }\n                }\n              }\n              ... on BundleProduct {\n                items {\n                  sku\n                  title\n                  options {\n                    uid\n                    quantity\n                    product {\n                      uid\n                      sku\n                      name\n                      price_range {\n                        maximum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                        minimum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                      }\n                    }\n                  }\n                }\n              }\n              uid\n              __typename\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              rating_summary\n              categories {\n                uid\n                name\n                url_suffix\n                url_path\n                breadcrumbs {\n                  category_name,\n                  category_url_path\n                }\n              }\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n              url_key\n              url_rewrites {\n                url\n              }\n              review_count\n              reviews {\n                items {\n                  average_rating\n                  ratings_breakdown {\n                    name\n                    value\n                  }\n                }\n              }\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }\n"], ["\n  query wishlist($currentPage: Int = 1, $pageSize: Int = 10) {\n    customer {\n      wishlists {\n        id\n        items_count\n        sharing_code\n        items_v2(currentPage: $currentPage, pageSize: $pageSize) {\n          items {\n            id\n            quantity\n            description\n            added_at\n            product {\n              ...on ConfigurableProduct {\n                configurable_options {\n                  attribute_code\n                  attribute_uid\n                  label\n                  position\n                  uid\n                  use_default\n                  values {\n                    label\n                    swatch_data {\n                      value\n                    }\n                    uid\n                  }\n                }\n              }\n              ... on BundleProduct {\n                items {\n                  sku\n                  title\n                  options {\n                    uid\n                    quantity\n                    product {\n                      uid\n                      sku\n                      name\n                      price_range {\n                        maximum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                        minimum_price {\n                          final_price {\n                            currency\n                            value\n                          }\n                          regular_price {\n                            currency\n                            value\n                          }\n                        }\n                      }\n                    }\n                  }\n                }\n              }\n              uid\n              __typename\n              sku\n              name\n              stock_status\n              only_x_left_in_stock\n              rating_summary\n              categories {\n                uid\n                name\n                url_suffix\n                url_path\n                breadcrumbs {\n                  category_name,\n                  category_url_path\n                }\n              }\n              price_range {\n                maximum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n                minimum_price {\n                  final_price {\n                    currency\n                    value\n                  }\n                  regular_price {\n                    currency\n                    value\n                  }\n                }\n              }\n              thumbnail {\n                url\n                position\n                disabled\n                label\n              }\n              url_key\n              url_rewrites {\n                url\n              }\n              review_count\n              reviews {\n                items {\n                  average_rating\n                  ratings_breakdown {\n                    name\n                    value\n                  }\n                }\n              }\n            }\n          }\n          page_info {\n            current_page\n            page_size\n            total_pages\n          }\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$1;

var index = (function (context, searchParams, customQuery) {
    if (customQuery === void 0) { customQuery = { wishlist: 'wishlist' }; }
    return __awaiter(void 0, void 0, void 0, function () {
        var defaultParams, variables, wishlist, error_1;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    defaultParams = __assign({ pageSize: 10, currentPage: 1 }, searchParams);
                    variables = {
                        pageSize: defaultParams.pageSize <= 0 ? 10 : defaultParams.pageSize,
                        currentPage: defaultParams.currentPage <= 0 ? 1 : defaultParams.currentPage,
                    };
                    wishlist = context.extendQuery(customQuery, {
                        wishlist: {
                            query: wishlistQuery,
                            variables: variables,
                        },
                    }).wishlist;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, context.client
                            .query({
                            query: gql__default["default"](templateObject_1 || (templateObject_1 = __makeTemplateObject(["", ""], ["", ""])), wishlist.query),
                            variables: wishlist.variables,
                        })];
                case 2: return [2 /*return*/, _c.sent()];
                case 3:
                    error_1 = _c.sent();
                    throw ((_a = error_1.graphQLErrors) === null || _a === void 0 ? void 0 : _a[0].message) || ((_b = error_1.networkError) === null || _b === void 0 ? void 0 : _b.result) || error_1;
                case 4: return [2 /*return*/];
            }
        });
    });
});
var templateObject_1;

var api = /*#__PURE__*/Object.freeze({
    __proto__: null,
    addBundleProductsToCart: index$Z,
    addConfigurableProductsToCart: index$Y,
    addProductsToCart: index$X,
    addProductToWishList: index$W,
    addSimpleProductsToCart: index$V,
    addDownloadableProductsToCart: index$U,
    addVirtualProductsToCart: index$T,
    applyCouponToCart: index$S,
    availableStores: index$R,
    cart: index$Q,
    categoryList: index$P,
    categorySearch: index$O,
    changeCustomerPassword: index$N,
    cmsBlocks: index$M,
    cmsPage: index$L,
    countries: index$K,
    country: index$J,
    createCustomer: index$I,
    createCustomerAddress: index$H,
    createEmptyCart: index$G,
    createProductReview: index$F,
    currency: index$E,
    customer: index$D,
    customerCart: index$C,
    customerOrders: index$B,
    customerProductReview: index$A,
    customMutation: index$z,
    customQuery: index$y,
    deleteCustomerAddress: index$x,
    generateCustomerToken: index$w,
    getAvailableCustomerPaymentMethods: index$v,
    getAvailableCustomerShippingMethods: index$u,
    getAvailablePaymentMethods: index$t,
    getAvailableShippingMethods: index$s,
    getCustomerAddresses: index$r,
    mergeCarts: index$q,
    placeOrder: index$p,
    productDetail: index$o,
    productReview: index$n,
    productReviewRatingsMetadata: index$m,
    products: index$l,
    relatedProduct: index$k,
    removeCouponFromCart: index$j,
    removeItemFromCart: index$i,
    removeProductsFromWishlist: index$h,
    requestPasswordResetEmail: index$g,
    resetPassword: index$f,
    revokeCustomerToken: index$e,
    setBillingAddressOnCart: index$d,
    setGuestEmailOnCart: index$c,
    setPaymentMethodOnCart: index$b,
    setShippingAddressesOnCart: index$a,
    setShippingMethodsOnCart: index$9,
    storeConfig: index$8,
    subscribeEmailToNewsletter: index$7,
    updateCartItems: index$6,
    updateCustomer: index$5,
    updateCustomerAddress: index$4,
    updateCustomerEmail: index$3,
    upsellProduct: index$2,
    urlResolver: index$1,
    wishlist: index
});

var handleRetry = function () { return function (count, operation, error) {
    var _a;
    if (count > 3) {
        return false;
    }
    if (((_a = error === null || error === void 0 ? void 0 : error.result) === null || _a === void 0 ? void 0 : _a.message) === 'invalid_token') {
        // eslint-disable-next-line @typescript-eslint/restrict-template-expressions
        core.Logger.debug("Apollo retry-link, the operation (" + operation.operationName + ") sent with wrong token, creating a new one... (attempt: " + count + ")");
        return true;
    }
    return false;
}; };
var linkFactory = function (_a) {
    var state = _a.state;
    return apolloLinkContext.setContext(function (apolloReq, _a) {
        var headers = _a.headers;
        core.Logger.debug('Apollo linkFactory', apolloReq.operationName);
        var Store = state.getStore();
        var token = state.getCustomerToken();
        var currency = state.getCurrency();
        if (currency) {
            core.Logger.debug('Apollo currencyLinkFactory, finished, currency: ', currency);
        }
        if (Store) {
            core.Logger.debug('Apollo storeLinkFactory, finished, storeId: ', Store);
        }
        if (token) {
            core.Logger.debug('Apollo authLinkFactory, finished, token: ', token);
        }
        return {
            headers: __assign(__assign(__assign(__assign({}, headers), (currency ? { 'Content-Currency': currency } : {})), (token ? { authorization: "Bearer " + token } : {})), (Store ? { Store: Store } : {})),
        };
    });
};

var __schema = {
	types: [
		{
			kind: "INTERFACE",
			name: "CartAddressInterface",
			possibleTypes: [
				{
					name: "BillingCartAddress"
				},
				{
					name: "ShippingCartAddress"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "CartItemInterface",
			possibleTypes: [
				{
					name: "SimpleCartItem"
				},
				{
					name: "VirtualCartItem"
				},
				{
					name: "DownloadableCartItem"
				},
				{
					name: "BundleCartItem"
				},
				{
					name: "ConfigurableCartItem"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "ProductInterface",
			possibleTypes: [
				{
					name: "VirtualProduct"
				},
				{
					name: "SimpleProduct"
				},
				{
					name: "DownloadableProduct"
				},
				{
					name: "BundleProduct"
				},
				{
					name: "GroupedProduct"
				},
				{
					name: "ConfigurableProduct"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "CategoryInterface",
			possibleTypes: [
				{
					name: "CategoryTree"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "MediaGalleryInterface",
			possibleTypes: [
				{
					name: "ProductImage"
				},
				{
					name: "ProductVideo"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "ProductLinksInterface",
			possibleTypes: [
				{
					name: "ProductLinks"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "RoutableInterface",
			possibleTypes: [
				{
					name: "CategoryTree"
				},
				{
					name: "CmsPage"
				},
				{
					name: "VirtualProduct"
				},
				{
					name: "SimpleProduct"
				},
				{
					name: "DownloadableProduct"
				},
				{
					name: "BundleProduct"
				},
				{
					name: "GroupedProduct"
				},
				{
					name: "ConfigurableProduct"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "CreditMemoItemInterface",
			possibleTypes: [
				{
					name: "DownloadableCreditMemoItem"
				},
				{
					name: "BundleCreditMemoItem"
				},
				{
					name: "CreditMemoItem"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "OrderItemInterface",
			possibleTypes: [
				{
					name: "DownloadableOrderItem"
				},
				{
					name: "BundleOrderItem"
				},
				{
					name: "OrderItem"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "InvoiceItemInterface",
			possibleTypes: [
				{
					name: "DownloadableInvoiceItem"
				},
				{
					name: "BundleInvoiceItem"
				},
				{
					name: "InvoiceItem"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "ShipmentItemInterface",
			possibleTypes: [
				{
					name: "BundleShipmentItem"
				},
				{
					name: "ShipmentItem"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "WishlistItemInterface",
			possibleTypes: [
				{
					name: "SimpleWishlistItem"
				},
				{
					name: "VirtualWishlistItem"
				},
				{
					name: "DownloadableWishlistItem"
				},
				{
					name: "BundleWishlistItem"
				},
				{
					name: "GroupedProductWishlistItem"
				},
				{
					name: "ConfigurableWishlistItem"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "AggregationOptionInterface",
			possibleTypes: [
				{
					name: "AggregationOption"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "LayerFilterItemInterface",
			possibleTypes: [
				{
					name: "LayerFilterItem"
				},
				{
					name: "SwatchLayerFilterItem"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "PhysicalProductInterface",
			possibleTypes: [
				{
					name: "SimpleProduct"
				},
				{
					name: "BundleProduct"
				},
				{
					name: "GroupedProduct"
				},
				{
					name: "ConfigurableProduct"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "CustomizableOptionInterface",
			possibleTypes: [
				{
					name: "CustomizableAreaOption"
				},
				{
					name: "CustomizableDateOption"
				},
				{
					name: "CustomizableDropDownOption"
				},
				{
					name: "CustomizableMultipleOption"
				},
				{
					name: "CustomizableFieldOption"
				},
				{
					name: "CustomizableFileOption"
				},
				{
					name: "CustomizableRadioOption"
				},
				{
					name: "CustomizableCheckboxOption"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "CustomizableProductInterface",
			possibleTypes: [
				{
					name: "VirtualProduct"
				},
				{
					name: "SimpleProduct"
				},
				{
					name: "DownloadableProduct"
				},
				{
					name: "BundleProduct"
				},
				{
					name: "ConfigurableProduct"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "SwatchDataInterface",
			possibleTypes: [
				{
					name: "ImageSwatchData"
				},
				{
					name: "TextSwatchData"
				},
				{
					name: "ColorSwatchData"
				}
			]
		},
		{
			kind: "INTERFACE",
			name: "SwatchLayerFilterItemInterface",
			possibleTypes: [
				{
					name: "SwatchLayerFilterItem"
				}
			]
		}
	]
};
var introspectionQueryResultData = {
	__schema: __schema
};

var createErrorHandler = function () { return apolloLinkError.onError(function (_a) {
    var graphQLErrors = _a.graphQLErrors, networkError = _a.networkError;
    if (graphQLErrors) {
        graphQLErrors.forEach(function (_a) {
            var message = _a.message, locations = _a.locations, path = _a.path;
            if (!message.includes('Resource Owner Password Credentials Grant')) {
                if (!locations) {
                    core.Logger.error("[GraphQL error]: Message: " + message + ", Path: " + path);
                    return;
                }
                var parsedLocations = locations.map(function (_a) {
                    var column = _a.column, line = _a.line;
                    return "[column: " + column + ", line: " + line + "]";
                });
                core.Logger.error("[GraphQL error]: Message: " + message + ", Location: " + parsedLocations.join(', ') + ", Path: " + path);
            }
        });
    }
    if (networkError) {
        core.Logger.error("[Network error]: " + networkError);
    }
}); };
var apolloLinkFactory = function (settings, handlers) {
    var baseLink = (handlers === null || handlers === void 0 ? void 0 : handlers.apolloLink) || apolloLinkContext.setContext(function (apolloReq, _a) {
        var headers = _a.headers;
        return ({
            headers: __assign({}, headers),
        });
    });
    var httpLink = apolloLinkHttp.createHttpLink(__assign({ uri: settings.api, fetch: fetch__default["default"] }, settings.customApolloHttpLinkOptions));
    var onErrorLink = createErrorHandler();
    var errorRetry = new apolloLinkRetry.RetryLink({
        attempts: handleRetry(),
        delay: function () { return 0; },
    });
    // eslint-disable-next-line unicorn/prefer-spread
    return apolloLink.ApolloLink.from([
        onErrorLink,
        errorRetry,
        baseLink.concat(httpLink),
    ]);
};
var apolloClientFactory = function (customOptions) {
    var fragmentMatcher = new apolloCacheInmemory.IntrospectionFragmentMatcher({
        introspectionQueryResultData: introspectionQueryResultData,
    });
    return new ApolloClient__default["default"](__assign({ cache: new apolloCacheInmemory.InMemoryCache({
            fragmentMatcher: fragmentMatcher,
            resultCaching: true,
        }), queryDeduplication: true, ssrMode: true }, customOptions));
};

var createMagentoConnection = function (settings) {
    core.Logger.debug('createMagentoConnection');
    var apolloLink = apolloLinkFactory(settings, {
        apolloLink: linkFactory({ state: settings.state }),
    });
    return {
        apolloLink: apolloLink,
    };
};

var defaultSettings = {
    api: '',
    cookies: {
        currencyCookieName: 'vsf-currency',
        countryCookieName: 'vsf-country',
        localeCookieName: 'vsf-locale',
        cartCookieName: 'vsf-cart',
        customerCookieName: 'vsf-customer',
        storeCookieName: 'vsf-store',
    },
    tax: {
        displayCartSubtotalIncludingTax: true,
    },
    state: {
        getCartId: function () { return ''; },
        setCartId: function () { },
        getCustomerToken: function () { return ''; },
        setCustomerToken: function () { },
        getStore: function () { return ''; },
        setStore: function () { },
        getCurrency: function () { return ''; },
        setCurrency: function () { },
    },
    externalCheckout: {
        enable: false,
        syncUrlPath: '/vue/cart/sync',
        stores: {},
        cmsUrl: '',
    },
};

var onCreate = function (settings) {
    var config = __assign(__assign(__assign({}, defaultSettings), settings), { state: settings.state || defaultSettings.state });
    if (settings.client) {
        return {
            client: settings.client,
            config: config,
        };
    }
    if (settings.customOptions && settings.customOptions.link) {
        return {
            client: apolloClientFactory(settings.customOptions),
            config: config,
        };
    }
    var apolloLink = createMagentoConnection(config).apolloLink;
    var client = apolloClientFactory(__assign({ link: apolloLink }, settings.customOptions));
    return {
        config: config,
        client: client,
    };
};
var tokenExtension = {
    name: 'tokenExtension',
    hooks: function (req, res) { return ({
        beforeCreate: function (_a) {
            var _b, _c, _d, _e;
            var configuration = _a.configuration;
            var cartCookieName = ((_b = configuration.cookies) === null || _b === void 0 ? void 0 : _b.cartCookieName) || defaultSettings.cookies.cartCookieName;
            var customerCookieName = ((_c = configuration.cookies) === null || _c === void 0 ? void 0 : _c.customerCookieName) || defaultSettings.cookies.customerCookieName;
            var storeCookieName = ((_d = configuration.cookies) === null || _d === void 0 ? void 0 : _d.storeCookieName) || defaultSettings.cookies.storeCookieName;
            var currencyCookieName = ((_e = configuration.cookies) === null || _e === void 0 ? void 0 : _e.currencyCookieName) || defaultSettings.cookies.currencyCookieName;
            return __assign(__assign({}, configuration), { state: {
                    getCartId: function () { return req.cookies[cartCookieName]; },
                    setCartId: function (id) {
                        if (!id) {
                            // eslint-disable-next-line no-param-reassign
                            delete req.cookies[cartCookieName];
                            return;
                        }
                        res.cookie(cartCookieName, JSON.stringify(id));
                    },
                    getCustomerToken: function () { return req.cookies[customerCookieName]; },
                    setCustomerToken: function (token) {
                        if (!token) {
                            // eslint-disable-next-line no-param-reassign
                            delete req.cookies[customerCookieName];
                            return;
                        }
                        res.cookie(customerCookieName, JSON.stringify(token));
                    },
                    getStore: function () { return req.cookies[storeCookieName]; },
                    setStore: function (id) {
                        if (!id) {
                            // eslint-disable-next-line no-param-reassign
                            delete req.cookies[storeCookieName];
                            return;
                        }
                        res.cookie(storeCookieName, JSON.stringify(id));
                    },
                    getCurrency: function () { return req.cookies[currencyCookieName]; },
                    setCurrency: function (id) {
                        if (!id) {
                            // eslint-disable-next-line no-param-reassign
                            delete req.cookies[currencyCookieName];
                            return;
                        }
                        res.cookie(currencyCookieName, JSON.stringify(id));
                    },
                } });
        },
    }); },
};
var createApiClient = core.apiClientFactory({
    onCreate: onCreate,
    api: api,
    extensions: [tokenExtension],
}).createApiClient;

exports.createApiClient = createApiClient;
//# sourceMappingURL=index.js.map
